searchNodes=[{"doc":"","ref":"Vix.Vips.html","title":"Vix.Vips","type":"module"},{"doc":"Get the maximum number of operations we keep in cache.","ref":"Vix.Vips.html#cache_get_max/0","title":"Vix.Vips.cache_get_max/0","type":"function"},{"doc":"Get the maximum number of tracked files we allow before we start dropping cached operations. libvips only tracks file descriptors it allocates, it can't track ones allocated by external libraries.","ref":"Vix.Vips.html#cache_get_max_files/0","title":"Vix.Vips.cache_get_max_files/0","type":"function"},{"doc":"Get the maximum amount of tracked memory we allow before we start dropping cached operations.","ref":"Vix.Vips.html#cache_get_max_mem/0","title":"Vix.Vips.cache_get_max_mem/0","type":"function"},{"doc":"Set the maximum number of operations we keep in cache.","ref":"Vix.Vips.html#cache_set_max/1","title":"Vix.Vips.cache_set_max/1","type":"function"},{"doc":"Set the maximum number of tracked files we allow before we start dropping cached operations.","ref":"Vix.Vips.html#cache_set_max_files/1","title":"Vix.Vips.cache_set_max_files/1","type":"function"},{"doc":"Set the maximum amount of tracked memory we allow before we start dropping cached operations. libvips only tracks file descriptors it allocates, it can't track ones allocated by external libraries.","ref":"Vix.Vips.html#cache_set_max_mem/1","title":"Vix.Vips.cache_set_max_mem/1","type":"function"},{"doc":"Returns the number of worker threads that vips should use when running a VipsThreadPool. The final value is clipped to the range 1 - 1024.","ref":"Vix.Vips.html#concurrency_get/0","title":"Vix.Vips.concurrency_get/0","type":"function"},{"doc":"Sets the number of worker threads that vips should use when running a VipsThreadPool. The special value 0 means &quot;default&quot;. In this case, the number of threads is set by the environment variable VIPS_CONCURRENCY, or if that is not set, the number of threads availble on the host machine.","ref":"Vix.Vips.html#concurrency_set/1","title":"Vix.Vips.concurrency_set/1","type":"function"},{"doc":"Get installed vips version","ref":"Vix.Vips.html#version/0","title":"Vix.Vips.version/0","type":"function"},{"doc":"Vips Image","ref":"Vix.Vips.Image.html","title":"Vix.Vips.Image","type":"module"},{"doc":"Get bands of the the image see: https://libvips.github.io/libvips/API/current/libvips-header.html#vips-image-get-bands","ref":"Vix.Vips.Image.html#bands/1","title":"Vix.Vips.Image.bands/1","type":"function"},{"doc":"Get coding of the the image see: https://libvips.github.io/libvips/API/current/libvips-header.html#vips-image-get-coding","ref":"Vix.Vips.Image.html#coding/1","title":"Vix.Vips.Image.coding/1","type":"function"},{"doc":"Get filename of the the image see: https://libvips.github.io/libvips/API/current/libvips-header.html#vips-image-get-filename","ref":"Vix.Vips.Image.html#filename/1","title":"Vix.Vips.Image.filename/1","type":"function"},{"doc":"Get format of the the image see: https://libvips.github.io/libvips/API/current/libvips-header.html#vips-image-get-format","ref":"Vix.Vips.Image.html#format/1","title":"Vix.Vips.Image.format/1","type":"function"},{"doc":"Get all image header field names. See https://libvips.github.io/libvips/API/current/libvips-header.html#vips-image-get-fields for more details","ref":"Vix.Vips.Image.html#header_field_names/1","title":"Vix.Vips.Image.header_field_names/1","type":"function"},{"doc":"Get image header value. This is a generic function to get header value. Casts the value to appropriate type. Currently it only supports values of type integer, float, string and list of integer values. Use Vix.Vips.Image.header_value_as_string/2 to get string representation of any header value. { :ok , width } = Image . header_value ( vips_image , &quot;width&quot; )","ref":"Vix.Vips.Image.html#header_value/2","title":"Vix.Vips.Image.header_value/2","type":"function"},{"doc":"Get image header value as string. This is generic method to get string representation of a header value. If value is VipsBlob, then it returns base64 encoded data. See: https://libvips.github.io/libvips/API/current/libvips-header.html#vips-image-get-as-string","ref":"Vix.Vips.Image.html#header_value_as_string/2","title":"Vix.Vips.Image.header_value_as_string/2","type":"function"},{"doc":"Get height of the the image see: https://libvips.github.io/libvips/API/current/libvips-header.html#vips-image-get-height","ref":"Vix.Vips.Image.html#height/1","title":"Vix.Vips.Image.height/1","type":"function"},{"doc":"Get interpretation of the the image see: https://libvips.github.io/libvips/API/current/libvips-header.html#vips-image-get-interpretation","ref":"Vix.Vips.Image.html#interpretation/1","title":"Vix.Vips.Image.interpretation/1","type":"function"},{"doc":"Get mode of the the image see: https://libvips.github.io/libvips/API/current/libvips-header.html#vips-image-get-mode","ref":"Vix.Vips.Image.html#mode/1","title":"Vix.Vips.Image.mode/1","type":"function"},{"doc":"Get n_pages of the the image see: https://libvips.github.io/libvips/API/current/libvips-header.html#vips-image-get-n-pages","ref":"Vix.Vips.Image.html#n_pages/1","title":"Vix.Vips.Image.n_pages/1","type":"function"},{"doc":"Opens path for reading, returns an instance of Vix.Vips.Image.t/0 It can load files in many image formats, including VIPS, TIFF, PNG, JPEG, FITS, Matlab, OpenEXR, CSV, WebP, Radiance, RAW, PPM and others. Load options may be appended to filename as &quot;[name=value,...]&quot;. For example: Image . new_from_file ( &quot;fred.jpg[shrink=2]&quot; ) Will open &quot;fred.jpg&quot;, downsampling by a factor of two. The full set of options available depend upon the load operation that will be executed. Try something like: $ vips jpegload at the command-line to see a summary of the available options for the JPEG loader. Loading is fast: only enough of the image is loaded to be able to fill out the header. Pixels will only be decompressed when they are needed.","ref":"Vix.Vips.Image.html#new_from_file/1","title":"Vix.Vips.Image.new_from_file/1","type":"function"},{"doc":"Creates a new image with width, height, format, interpretation, resolution and offset taken from the input image, but with each band set from value .","ref":"Vix.Vips.Image.html#new_from_image/2","title":"Vix.Vips.Image.new_from_image/2","type":"function"},{"doc":"Make a VipsImage from list. This convenience function makes an image which is a matrix: a one-band VIPS_FORMAT_DOUBLE image held in memory. Useful for vips operations such as conv . mask = Image . new_matrix_from_array ( 3 , 3 , [ [ 0 , 1 , 0 ] , [ 1 , 1 , 1 ] , [ 0 , 1 , 0 ] ] ) Optional scale - Default: 1 offset - Default: 0","ref":"Vix.Vips.Image.html#new_matrix_from_array/4","title":"Vix.Vips.Image.new_matrix_from_array/4","type":"function"},{"doc":"Make a VipsImage which, when written to, will create a temporary file on disc. The file will be automatically deleted when the image is destroyed. format is something like &quot;%s.v&quot; for a vips file. The file is created in the temporary directory. This is set with the environment variable TMPDIR. If this is not set, then on Unix systems, vips will default to /tmp . On Windows, vips uses GetTempPath() to find the temporary directory. vips_image = Image . new_temp_file ( &quot;%s.v&quot; )","ref":"Vix.Vips.Image.html#new_temp_file/1","title":"Vix.Vips.Image.new_temp_file/1","type":"function"},{"doc":"Get offset of the the image see: https://libvips.github.io/libvips/API/current/libvips-header.html#vips-image-get-offset","ref":"Vix.Vips.Image.html#offset/1","title":"Vix.Vips.Image.offset/1","type":"function"},{"doc":"Get orientation of the the image see: https://libvips.github.io/libvips/API/current/libvips-header.html#vips-image-get-orientation","ref":"Vix.Vips.Image.html#orientation/1","title":"Vix.Vips.Image.orientation/1","type":"function"},{"doc":"Get page_height of the the image see: https://libvips.github.io/libvips/API/current/libvips-header.html#vips-image-get-page-height","ref":"Vix.Vips.Image.html#page_height/1","title":"Vix.Vips.Image.page_height/1","type":"function"},{"doc":"Get scale of the the image see: https://libvips.github.io/libvips/API/current/libvips-header.html#vips-image-get-scale","ref":"Vix.Vips.Image.html#scale/1","title":"Vix.Vips.Image.scale/1","type":"function"},{"doc":"Get width of the the image see: https://libvips.github.io/libvips/API/current/libvips-header.html#vips-image-get-width","ref":"Vix.Vips.Image.html#width/1","title":"Vix.Vips.Image.width/1","type":"function"},{"doc":"Returns vips_image as binary based on the format specified by suffix . This function is similar to write_to_file but instead of writing the output to the file, it returns it as a binary. Currently only TIFF, JPEG and PNG formats are supported. Save options may be encoded in the filename or given as a hash. For example: Image . write_to_buffer ( vips_image , &quot;.jpg[Q=90]&quot; ) The full set of save options depend on the selected saver. You can get list of available options for the saver $ vips jpegsave","ref":"Vix.Vips.Image.html#write_to_buffer/2","title":"Vix.Vips.Image.write_to_buffer/2","type":"function"},{"doc":"Write vips_image to a file. Save options may be encoded in the filename or given as a hash. For example: Image . write_to_file ( vips_image , &quot;fred.jpg[Q=90]&quot; ) A saver is selected based on path . The full set of save options depend on the selected saver. Try something like: $ vips jpegsave at the command-line to see all the available options for JPEG save.","ref":"Vix.Vips.Image.html#write_to_file/2","title":"Vix.Vips.Image.write_to_file/2","type":"function"},{"doc":"Get xoffset of the the image see: https://libvips.github.io/libvips/API/current/libvips-header.html#vips-image-get-xoffset","ref":"Vix.Vips.Image.html#xoffset/1","title":"Vix.Vips.Image.xoffset/1","type":"function"},{"doc":"Get xres of the the image see: https://libvips.github.io/libvips/API/current/libvips-header.html#vips-image-get-xres","ref":"Vix.Vips.Image.html#xres/1","title":"Vix.Vips.Image.xres/1","type":"function"},{"doc":"Get yoffset of the the image see: https://libvips.github.io/libvips/API/current/libvips-header.html#vips-image-get-yoffset","ref":"Vix.Vips.Image.html#yoffset/1","title":"Vix.Vips.Image.yoffset/1","type":"function"},{"doc":"Get yres of the the image see: https://libvips.github.io/libvips/API/current/libvips-header.html#vips-image-get-yres","ref":"Vix.Vips.Image.html#yres/1","title":"Vix.Vips.Image.yres/1","type":"function"},{"doc":"Represents an instance of libvips image","ref":"Vix.Vips.Image.html#t:t/0","title":"Vix.Vips.Image.t/0","type":"type"},{"doc":"Vips Operations See libvips documentation for more detailed description of the operation. Vips operation functions are generated using vips-introspection and are up-to-date with libvips version installed. Documentation in the hexdocs might not match for you.","ref":"Vix.Vips.Operation.html","title":"Vix.Vips.Operation","type":"module"},{"doc":"Absolute value of an image Arguments in - Input image","ref":"Vix.Vips.Operation.html#abs/2","title":"Vix.Vips.Operation.abs/2","type":"function"},{"doc":"Same as abs/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#abs!/2","title":"Vix.Vips.Operation.abs!/2","type":"function"},{"doc":"Add two images Arguments left - Left-hand image argument right - Right-hand image argument","ref":"Vix.Vips.Operation.html#add/3","title":"Vix.Vips.Operation.add/3","type":"function"},{"doc":"Same as add/3 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#add!/3","title":"Vix.Vips.Operation.add!/3","type":"function"},{"doc":"Affine transform of an image Arguments in - Input image argument matrix - Transformation matrix Optional extend - How to generate the extra pixels. Default: :VIPS_EXTEND_BACKGROUND premultiplied - Images have premultiplied alpha. Default: false background - Background value. idy - Vertical input displacement. Default: 0.0 idx - Horizontal input displacement. Default: 0.0 ody - Vertical output displacement. Default: 0.0 odx - Horizontal output displacement. Default: 0.0 oarea - Area of output to generate.","ref":"Vix.Vips.Operation.html#affine/3","title":"Vix.Vips.Operation.affine/3","type":"function"},{"doc":"Same as affine/3 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#affine!/3","title":"Vix.Vips.Operation.affine!/3","type":"function"},{"doc":"Join an array of images Arguments in - Array of input images Optional vspacing - Vertical spacing between images. Default: 1 hspacing - Horizontal spacing between images. Default: 1 valign - Align on the top, centre or bottom. Default: :VIPS_ALIGN_LOW halign - Align on the left, centre or right. Default: :VIPS_ALIGN_LOW background - Colour for new pixels. shim - Pixels between images. Default: 0 across - Number of images across grid. Default: 1","ref":"Vix.Vips.Operation.html#arrayjoin/2","title":"Vix.Vips.Operation.arrayjoin/2","type":"function"},{"doc":"Same as arrayjoin/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#arrayjoin!/2","title":"Vix.Vips.Operation.arrayjoin!/2","type":"function"},{"doc":"Autorotate image by exif tag Arguments in - Input image Returns Ordered values in the returned tuple out - Output image. ( Vix.Vips.Image.t() ) Additional Last value of the the output tuple is a keyword list of additional optional output values flip - Whether the image was flipped or not. ( boolean() ) angle - Angle image was rotated by. ( vips_angle )","ref":"Vix.Vips.Operation.html#autorot/2","title":"Vix.Vips.Operation.autorot/2","type":"function"},{"doc":"Same as autorot/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#autorot!/2","title":"Vix.Vips.Operation.autorot!/2","type":"function"},{"doc":"Find image average Arguments in - Input image","ref":"Vix.Vips.Operation.html#avg/2","title":"Vix.Vips.Operation.avg/2","type":"function"},{"doc":"Same as avg/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#avg!/2","title":"Vix.Vips.Operation.avg!/2","type":"function"},{"doc":"Boolean operation across image bands Arguments in - Input image argument boolean - boolean to perform","ref":"Vix.Vips.Operation.html#bandbool/3","title":"Vix.Vips.Operation.bandbool/3","type":"function"},{"doc":"Same as bandbool/3 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#bandbool!/3","title":"Vix.Vips.Operation.bandbool!/3","type":"function"},{"doc":"Fold up x axis into bands Arguments in - Input image Optional factor - Fold by this factor. Default: 0","ref":"Vix.Vips.Operation.html#bandfold/2","title":"Vix.Vips.Operation.bandfold/2","type":"function"},{"doc":"Same as bandfold/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#bandfold!/2","title":"Vix.Vips.Operation.bandfold!/2","type":"function"},{"doc":"Bandwise join a set of images Arguments in - Array of input images","ref":"Vix.Vips.Operation.html#bandjoin/2","title":"Vix.Vips.Operation.bandjoin/2","type":"function"},{"doc":"Same as bandjoin/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#bandjoin!/2","title":"Vix.Vips.Operation.bandjoin!/2","type":"function"},{"doc":"Append a constant band to an image Arguments in - Input image c - Array of constants to add","ref":"Vix.Vips.Operation.html#bandjoin_const/3","title":"Vix.Vips.Operation.bandjoin_const/3","type":"function"},{"doc":"Same as bandjoin_const/3 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#bandjoin_const!/3","title":"Vix.Vips.Operation.bandjoin_const!/3","type":"function"},{"doc":"Band-wise average Arguments in - Input image argument","ref":"Vix.Vips.Operation.html#bandmean/2","title":"Vix.Vips.Operation.bandmean/2","type":"function"},{"doc":"Same as bandmean/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#bandmean!/2","title":"Vix.Vips.Operation.bandmean!/2","type":"function"},{"doc":"Band-wise rank of a set of images Arguments in - Array of input images Optional index - Select this band element from sorted list. Default: -1","ref":"Vix.Vips.Operation.html#bandrank/2","title":"Vix.Vips.Operation.bandrank/2","type":"function"},{"doc":"Same as bandrank/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#bandrank!/2","title":"Vix.Vips.Operation.bandrank!/2","type":"function"},{"doc":"Unfold image bands into x axis Arguments in - Input image Optional factor - Unfold by this factor. Default: 0","ref":"Vix.Vips.Operation.html#bandunfold/2","title":"Vix.Vips.Operation.bandunfold/2","type":"function"},{"doc":"Same as bandunfold/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#bandunfold!/2","title":"Vix.Vips.Operation.bandunfold!/2","type":"function"},{"doc":"Make a black image Arguments width - Image width in pixels height - Image height in pixels Optional bands - Number of bands in image. Default: 1","ref":"Vix.Vips.Operation.html#black/3","title":"Vix.Vips.Operation.black/3","type":"function"},{"doc":"Same as black/3 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#black!/3","title":"Vix.Vips.Operation.black!/3","type":"function"},{"doc":"Boolean operation on two images Arguments left - Left-hand image argument right - Right-hand image argument boolean - boolean to perform","ref":"Vix.Vips.Operation.html#boolean/4","title":"Vix.Vips.Operation.boolean/4","type":"function"},{"doc":"Same as boolean/4 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#boolean!/4","title":"Vix.Vips.Operation.boolean!/4","type":"function"},{"doc":"Boolean operations against a constant Arguments in - Input image boolean - boolean to perform c - Array of constants","ref":"Vix.Vips.Operation.html#boolean_const/4","title":"Vix.Vips.Operation.boolean_const/4","type":"function"},{"doc":"Same as boolean_const/4 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#boolean_const!/4","title":"Vix.Vips.Operation.boolean_const!/4","type":"function"},{"doc":"Build a look-up table Arguments in - Matrix of XY coordinates","ref":"Vix.Vips.Operation.html#buildlut/2","title":"Vix.Vips.Operation.buildlut/2","type":"function"},{"doc":"Same as buildlut/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#buildlut!/2","title":"Vix.Vips.Operation.buildlut!/2","type":"function"},{"doc":"Byteswap an image Arguments in - Input image","ref":"Vix.Vips.Operation.html#byteswap/2","title":"Vix.Vips.Operation.byteswap/2","type":"function"},{"doc":"Same as byteswap/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#byteswap!/2","title":"Vix.Vips.Operation.byteswap!/2","type":"function"},{"doc":"Cache an image Arguments in - Input image Optional tile-width - Tile width in pixels. Default: 128 tile-height - Tile height in pixels. Default: 128 max-tiles - Maximum number of tiles to cache. Default: 1000","ref":"Vix.Vips.Operation.html#cache/2","title":"Vix.Vips.Operation.cache/2","type":"function"},{"doc":"Same as cache/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#cache!/2","title":"Vix.Vips.Operation.cache!/2","type":"function"},{"doc":"Canny edge detector Arguments in - Input image Optional precision - Convolve with this precision. Default: :VIPS_PRECISION_FLOAT sigma - Sigma of Gaussian. Default: 1.4","ref":"Vix.Vips.Operation.html#canny/2","title":"Vix.Vips.Operation.canny/2","type":"function"},{"doc":"Same as canny/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#canny!/2","title":"Vix.Vips.Operation.canny!/2","type":"function"},{"doc":"Use pixel values to pick cases from an array of images Arguments index - Index image cases - Array of case images","ref":"Vix.Vips.Operation.html#case/3","title":"Vix.Vips.Operation.case/3","type":"function"},{"doc":"Same as case/3 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#case!/3","title":"Vix.Vips.Operation.case!/3","type":"function"},{"doc":"Cast an image Arguments in - Input image format - Format to cast to Optional shift - Shift integer values up and down. Default: false","ref":"Vix.Vips.Operation.html#cast/3","title":"Vix.Vips.Operation.cast/3","type":"function"},{"doc":"Same as cast/3 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#cast!/3","title":"Vix.Vips.Operation.cast!/3","type":"function"},{"doc":"Transform lch to cmc Arguments in - Input image","ref":"Vix.Vips.Operation.html#cmc2lch/2","title":"Vix.Vips.Operation.cmc2lch/2","type":"function"},{"doc":"Same as cmc2lch/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#cmc2lch!/2","title":"Vix.Vips.Operation.cmc2lch!/2","type":"function"},{"doc":"Transform cmyk to xyz Arguments in - Input image","ref":"Vix.Vips.Operation.html#cmyk2xyz/2","title":"Vix.Vips.Operation.cmyk2xyz/2","type":"function"},{"doc":"Same as cmyk2xyz/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#cmyk2xyz!/2","title":"Vix.Vips.Operation.cmyk2xyz!/2","type":"function"},{"doc":"Convert to a new colorspace Arguments in - Input image space - Destination color space Optional source-space - Source color space. Default: :VIPS_INTERPRETATION_sRGB","ref":"Vix.Vips.Operation.html#colourspace/3","title":"Vix.Vips.Operation.colourspace/3","type":"function"},{"doc":"Same as colourspace/3 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#colourspace!/3","title":"Vix.Vips.Operation.colourspace!/3","type":"function"},{"doc":"Convolve with rotating mask Arguments in - Input image argument mask - Input matrix image Optional cluster - Cluster lines closer than this in approximation. Default: 1 layers - Use this many layers in approximation. Default: 5 precision - Convolve with this precision. Default: :VIPS_PRECISION_FLOAT combine - Combine convolution results like this. Default: :VIPS_COMBINE_MAX angle - Rotate mask by this much between convolutions. Default: :VIPS_ANGLE45_D90 times - Rotate and convolve this many times. Default: 2","ref":"Vix.Vips.Operation.html#compass/3","title":"Vix.Vips.Operation.compass/3","type":"function"},{"doc":"Same as compass/3 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#compass!/3","title":"Vix.Vips.Operation.compass!/3","type":"function"},{"doc":"Perform a complex operation on an image Arguments in - Input image cmplx - complex to perform","ref":"Vix.Vips.Operation.html#complex/3","title":"Vix.Vips.Operation.complex/3","type":"function"},{"doc":"Same as complex/3 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#complex!/3","title":"Vix.Vips.Operation.complex!/3","type":"function"},{"doc":"Complex binary operations on two images Arguments left - Left-hand image argument right - Right-hand image argument cmplx - binary complex operation to perform","ref":"Vix.Vips.Operation.html#complex2/4","title":"Vix.Vips.Operation.complex2/4","type":"function"},{"doc":"Same as complex2/4 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#complex2!/4","title":"Vix.Vips.Operation.complex2!/4","type":"function"},{"doc":"Form a complex image from two real images Arguments left - Left-hand image argument right - Right-hand image argument","ref":"Vix.Vips.Operation.html#complexform/3","title":"Vix.Vips.Operation.complexform/3","type":"function"},{"doc":"Same as complexform/3 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#complexform!/3","title":"Vix.Vips.Operation.complexform!/3","type":"function"},{"doc":"Get a component from a complex image Arguments in - Input image get - complex to perform","ref":"Vix.Vips.Operation.html#complexget/3","title":"Vix.Vips.Operation.complexget/3","type":"function"},{"doc":"Same as complexget/3 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#complexget!/3","title":"Vix.Vips.Operation.complexget!/3","type":"function"},{"doc":"Blend an array of images with an array of blend modes Arguments in - Array of input images mode - Array of VipsBlendMode to join with Optional premultiplied - Images have premultiplied alpha. Default: false compositing-space - Composite images in this colour space. Default: :VIPS_INTERPRETATION_sRGB y - Array of y coordinates to join at. x - Array of x coordinates to join at.","ref":"Vix.Vips.Operation.html#composite/3","title":"Vix.Vips.Operation.composite/3","type":"function"},{"doc":"Same as composite/3 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#composite!/3","title":"Vix.Vips.Operation.composite!/3","type":"function"},{"doc":"Blend a pair of images with a blend mode Arguments base - Base image overlay - Overlay image mode - VipsBlendMode to join with Optional premultiplied - Images have premultiplied alpha. Default: false compositing-space - Composite images in this colour space. Default: :VIPS_INTERPRETATION_sRGB y - y position of overlay. Default: 0 x - x position of overlay. Default: 0","ref":"Vix.Vips.Operation.html#composite2/4","title":"Vix.Vips.Operation.composite2/4","type":"function"},{"doc":"Same as composite2/4 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#composite2!/4","title":"Vix.Vips.Operation.composite2!/4","type":"function"},{"doc":"Convolution operation Arguments in - Input image argument mask - Input matrix image Optional cluster - Cluster lines closer than this in approximation. Default: 1 layers - Use this many layers in approximation. Default: 5 precision - Convolve with this precision. Default: :VIPS_PRECISION_FLOAT","ref":"Vix.Vips.Operation.html#conv/3","title":"Vix.Vips.Operation.conv/3","type":"function"},{"doc":"Same as conv/3 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#conv!/3","title":"Vix.Vips.Operation.conv!/3","type":"function"},{"doc":"Approximate integer convolution Arguments in - Input image argument mask - Input matrix image Optional cluster - Cluster lines closer than this in approximation. Default: 1 layers - Use this many layers in approximation. Default: 5","ref":"Vix.Vips.Operation.html#conva/3","title":"Vix.Vips.Operation.conva/3","type":"function"},{"doc":"Same as conva/3 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#conva!/3","title":"Vix.Vips.Operation.conva!/3","type":"function"},{"doc":"Approximate separable integer convolution Arguments in - Input image argument mask - Input matrix image Optional layers - Use this many layers in approximation. Default: 5","ref":"Vix.Vips.Operation.html#convasep/3","title":"Vix.Vips.Operation.convasep/3","type":"function"},{"doc":"Same as convasep/3 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#convasep!/3","title":"Vix.Vips.Operation.convasep!/3","type":"function"},{"doc":"Float convolution operation Arguments in - Input image argument mask - Input matrix image","ref":"Vix.Vips.Operation.html#convf/3","title":"Vix.Vips.Operation.convf/3","type":"function"},{"doc":"Same as convf/3 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#convf!/3","title":"Vix.Vips.Operation.convf!/3","type":"function"},{"doc":"Int convolution operation Arguments in - Input image argument mask - Input matrix image","ref":"Vix.Vips.Operation.html#convi/3","title":"Vix.Vips.Operation.convi/3","type":"function"},{"doc":"Same as convi/3 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#convi!/3","title":"Vix.Vips.Operation.convi!/3","type":"function"},{"doc":"Seperable convolution operation Arguments in - Input image argument mask - Input matrix image Optional cluster - Cluster lines closer than this in approximation. Default: 1 layers - Use this many layers in approximation. Default: 5 precision - Convolve with this precision. Default: :VIPS_PRECISION_FLOAT","ref":"Vix.Vips.Operation.html#convsep/3","title":"Vix.Vips.Operation.convsep/3","type":"function"},{"doc":"Same as convsep/3 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#convsep!/3","title":"Vix.Vips.Operation.convsep!/3","type":"function"},{"doc":"Copy an image Arguments in - Input image Optional yoffset - Vertical offset of origin. Default: 0 xoffset - Horizontal offset of origin. Default: 0 yres - Vertical resolution in pixels/mm. Default: 0.0 xres - Horizontal resolution in pixels/mm. Default: 0.0 interpretation - Pixel interpretation. Default: :VIPS_INTERPRETATION_MULTIBAND coding - Pixel coding. Default: :VIPS_CODING_NONE format - Pixel format in image. Default: :VIPS_FORMAT_UCHAR bands - Number of bands in image. Default: 0 height - Image height in pixels. Default: 0 width - Image width in pixels. Default: 0 swap - Swap bytes in image between little and big-endian. Default: false","ref":"Vix.Vips.Operation.html#copy/2","title":"Vix.Vips.Operation.copy/2","type":"function"},{"doc":"Same as copy/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#copy!/2","title":"Vix.Vips.Operation.copy!/2","type":"function"},{"doc":"Count lines in an image Arguments in - Input image argument direction - Countlines left-right or up-down","ref":"Vix.Vips.Operation.html#countlines/3","title":"Vix.Vips.Operation.countlines/3","type":"function"},{"doc":"Same as countlines/3 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#countlines!/3","title":"Vix.Vips.Operation.countlines!/3","type":"function"},{"doc":"Calculate de00 Arguments left - Left-hand input image right - Right-hand input image","ref":"Vix.Vips.Operation.html#de00/3","title":"Vix.Vips.Operation.de00/3","type":"function"},{"doc":"Same as de00/3 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#de00!/3","title":"Vix.Vips.Operation.de00!/3","type":"function"},{"doc":"Calculate de76 Arguments left - Left-hand input image right - Right-hand input image","ref":"Vix.Vips.Operation.html#de76/3","title":"Vix.Vips.Operation.de76/3","type":"function"},{"doc":"Same as de76/3 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#de76!/3","title":"Vix.Vips.Operation.de76!/3","type":"function"},{"doc":"Calculate decmc Arguments left - Left-hand input image right - Right-hand input image","ref":"Vix.Vips.Operation.html#decmc/3","title":"Vix.Vips.Operation.decmc/3","type":"function"},{"doc":"Same as decmc/3 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#decmc!/3","title":"Vix.Vips.Operation.decmc!/3","type":"function"},{"doc":"Find image standard deviation Arguments in - Input image","ref":"Vix.Vips.Operation.html#deviate/2","title":"Vix.Vips.Operation.deviate/2","type":"function"},{"doc":"Same as deviate/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#deviate!/2","title":"Vix.Vips.Operation.deviate!/2","type":"function"},{"doc":"Divide two images Arguments left - Left-hand image argument right - Right-hand image argument","ref":"Vix.Vips.Operation.html#divide/3","title":"Vix.Vips.Operation.divide/3","type":"function"},{"doc":"Same as divide/3 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#divide!/3","title":"Vix.Vips.Operation.divide!/3","type":"function"},{"doc":"Embed an image in a larger image Arguments in - Input image x - Left edge of input in output y - Top edge of input in output width - Image width in pixels height - Image height in pixels Optional background - Color for background pixels. extend - How to generate the extra pixels. Default: :VIPS_EXTEND_BLACK","ref":"Vix.Vips.Operation.html#embed/6","title":"Vix.Vips.Operation.embed/6","type":"function"},{"doc":"Same as embed/6 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#embed!/6","title":"Vix.Vips.Operation.embed!/6","type":"function"},{"doc":"Extract an area from an image Arguments input - Input image left - Left edge of extract area top - Top edge of extract area width - Width of extract area height - Height of extract area","ref":"Vix.Vips.Operation.html#extract_area/6","title":"Vix.Vips.Operation.extract_area/6","type":"function"},{"doc":"Same as extract_area/6 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#extract_area!/6","title":"Vix.Vips.Operation.extract_area!/6","type":"function"},{"doc":"Extract band from an image Arguments in - Input image band - Band to extract Optional n - Number of bands to extract. Default: 1","ref":"Vix.Vips.Operation.html#extract_band/3","title":"Vix.Vips.Operation.extract_band/3","type":"function"},{"doc":"Same as extract_band/3 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#extract_band!/3","title":"Vix.Vips.Operation.extract_band!/3","type":"function"},{"doc":"Make an image showing the eye's spatial response Arguments width - Image width in pixels height - Image height in pixels Optional factor - Maximum spatial frequency. Default: 0.5 uchar - Output an unsigned char image. Default: false","ref":"Vix.Vips.Operation.html#eye/3","title":"Vix.Vips.Operation.eye/3","type":"function"},{"doc":"Same as eye/3 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#eye!/3","title":"Vix.Vips.Operation.eye!/3","type":"function"},{"doc":"False-color an image Arguments in - Input image","ref":"Vix.Vips.Operation.html#falsecolour/2","title":"Vix.Vips.Operation.falsecolour/2","type":"function"},{"doc":"Same as falsecolour/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#falsecolour!/2","title":"Vix.Vips.Operation.falsecolour!/2","type":"function"},{"doc":"Fast correlation Arguments in - Input image argument ref - Input reference image","ref":"Vix.Vips.Operation.html#fastcor/3","title":"Vix.Vips.Operation.fastcor/3","type":"function"},{"doc":"Same as fastcor/3 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#fastcor!/3","title":"Vix.Vips.Operation.fastcor!/3","type":"function"},{"doc":"Fill image zeros with nearest non-zero pixel Arguments in - Input image argument Returns Ordered values in the returned tuple out - Value of nearest non-zero pixel. ( Vix.Vips.Image.t() ) Additional Last value of the the output tuple is a keyword list of additional optional output values distance - Distance to nearest non-zero pixel. ( Vix.Vips.Image.t() )","ref":"Vix.Vips.Operation.html#fill_nearest/2","title":"Vix.Vips.Operation.fill_nearest/2","type":"function"},{"doc":"Same as fill_nearest/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#fill_nearest!/2","title":"Vix.Vips.Operation.fill_nearest!/2","type":"function"},{"doc":"Search an image for non-edge areas Arguments in - Image to find_trim Optional background - Color for background pixels. threshold - Object threshold. Default: 10.0 Returns Ordered values in the returned tuple left - Left edge of image. ( integer() ) top - Top edge of extract area. ( integer() ) width - Width of extract area. ( integer() ) height - Height of extract area. ( integer() ) Additional Last value of the the output tuple is a keyword list of additional optional output values","ref":"Vix.Vips.Operation.html#find_trim/2","title":"Vix.Vips.Operation.find_trim/2","type":"function"},{"doc":"Same as find_trim/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#find_trim!/2","title":"Vix.Vips.Operation.find_trim!/2","type":"function"},{"doc":"Flatten alpha out of an image Arguments in - Input image Optional max-alpha - Maximum value of alpha channel. Default: 255.0 background - Background value.","ref":"Vix.Vips.Operation.html#flatten/2","title":"Vix.Vips.Operation.flatten/2","type":"function"},{"doc":"Same as flatten/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#flatten!/2","title":"Vix.Vips.Operation.flatten!/2","type":"function"},{"doc":"Flip an image Arguments in - Input image direction - Direction to flip image","ref":"Vix.Vips.Operation.html#flip/3","title":"Vix.Vips.Operation.flip/3","type":"function"},{"doc":"Same as flip/3 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#flip!/3","title":"Vix.Vips.Operation.flip!/3","type":"function"},{"doc":"Transform float rgb to radiance coding Arguments in - Input image","ref":"Vix.Vips.Operation.html#float2rad/2","title":"Vix.Vips.Operation.float2rad/2","type":"function"},{"doc":"Same as float2rad/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#float2rad!/2","title":"Vix.Vips.Operation.float2rad!/2","type":"function"},{"doc":"Make a fractal surface Arguments width - Image width in pixels height - Image height in pixels fractal-dimension - Fractal dimension","ref":"Vix.Vips.Operation.html#fractsurf/4","title":"Vix.Vips.Operation.fractsurf/4","type":"function"},{"doc":"Same as fractsurf/4 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#fractsurf!/4","title":"Vix.Vips.Operation.fractsurf!/4","type":"function"},{"doc":"Frequency-domain filtering Arguments in - Input image mask - Input mask image","ref":"Vix.Vips.Operation.html#freqmult/3","title":"Vix.Vips.Operation.freqmult/3","type":"function"},{"doc":"Same as freqmult/3 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#freqmult!/3","title":"Vix.Vips.Operation.freqmult!/3","type":"function"},{"doc":"Forward fft Arguments in - Input image","ref":"Vix.Vips.Operation.html#fwfft/2","title":"Vix.Vips.Operation.fwfft/2","type":"function"},{"doc":"Same as fwfft/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#fwfft!/2","title":"Vix.Vips.Operation.fwfft!/2","type":"function"},{"doc":"Gamma an image Arguments in - Input image Optional exponent - Gamma factor. Default: 2.4","ref":"Vix.Vips.Operation.html#gamma/2","title":"Vix.Vips.Operation.gamma/2","type":"function"},{"doc":"Same as gamma/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#gamma!/2","title":"Vix.Vips.Operation.gamma!/2","type":"function"},{"doc":"Gaussian blur Arguments in - Input image sigma - Sigma of Gaussian Optional precision - Convolve with this precision. Default: :VIPS_PRECISION_INTEGER min-ampl - Minimum amplitude of Gaussian. Default: 0.2","ref":"Vix.Vips.Operation.html#gaussblur/3","title":"Vix.Vips.Operation.gaussblur/3","type":"function"},{"doc":"Same as gaussblur/3 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#gaussblur!/3","title":"Vix.Vips.Operation.gaussblur!/3","type":"function"},{"doc":"Make a gaussian image Arguments sigma - Sigma of Gaussian min-ampl - Minimum amplitude of Gaussian Optional precision - Generate with this precision. Default: :VIPS_PRECISION_INTEGER integer - Generate integer Gaussian. Default: false separable - Generate separable Gaussian. Default: false","ref":"Vix.Vips.Operation.html#gaussmat/3","title":"Vix.Vips.Operation.gaussmat/3","type":"function"},{"doc":"Same as gaussmat/3 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#gaussmat!/3","title":"Vix.Vips.Operation.gaussmat!/3","type":"function"},{"doc":"Make a gaussnoise image Arguments width - Image width in pixels height - Image height in pixels Optional seed - Random number seed. Default: 0 mean - Mean of pixels in generated image. Default: 128.0 sigma - Standard deviation of pixels in generated image. Default: 30.0","ref":"Vix.Vips.Operation.html#gaussnoise/3","title":"Vix.Vips.Operation.gaussnoise/3","type":"function"},{"doc":"Same as gaussnoise/3 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#gaussnoise!/3","title":"Vix.Vips.Operation.gaussnoise!/3","type":"function"},{"doc":"Read a point from an image Arguments in - Input image x - Point to read y - Point to read","ref":"Vix.Vips.Operation.html#getpoint/4","title":"Vix.Vips.Operation.getpoint/4","type":"function"},{"doc":"Same as getpoint/4 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#getpoint!/4","title":"Vix.Vips.Operation.getpoint!/4","type":"function"},{"doc":"Global balance an image mosaic Arguments in - Input image Optional int-output - Integer output. Default: false gamma - Image gamma. Default: 1.6","ref":"Vix.Vips.Operation.html#globalbalance/2","title":"Vix.Vips.Operation.globalbalance/2","type":"function"},{"doc":"Same as globalbalance/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#globalbalance!/2","title":"Vix.Vips.Operation.globalbalance!/2","type":"function"},{"doc":"Place an image within a larger image with a certain gravity Arguments in - Input image direction - direction to place image within width/height width - Image width in pixels height - Image height in pixels Optional background - Color for background pixels. extend - How to generate the extra pixels. Default: :VIPS_EXTEND_BLACK","ref":"Vix.Vips.Operation.html#gravity/5","title":"Vix.Vips.Operation.gravity/5","type":"function"},{"doc":"Same as gravity/5 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#gravity!/5","title":"Vix.Vips.Operation.gravity!/5","type":"function"},{"doc":"Make a grey ramp image Arguments width - Image width in pixels height - Image height in pixels Optional uchar - Output an unsigned char image. Default: false","ref":"Vix.Vips.Operation.html#grey/3","title":"Vix.Vips.Operation.grey/3","type":"function"},{"doc":"Same as grey/3 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#grey!/3","title":"Vix.Vips.Operation.grey!/3","type":"function"},{"doc":"Grid an image Arguments in - Input image tile-height - chop into tiles this high across - number of tiles across down - number of tiles down","ref":"Vix.Vips.Operation.html#grid/5","title":"Vix.Vips.Operation.grid/5","type":"function"},{"doc":"Same as grid/5 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#grid!/5","title":"Vix.Vips.Operation.grid!/5","type":"function"},{"doc":"Form cumulative histogram Arguments in - Input image","ref":"Vix.Vips.Operation.html#hist_cum/2","title":"Vix.Vips.Operation.hist_cum/2","type":"function"},{"doc":"Same as hist_cum/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#hist_cum!/2","title":"Vix.Vips.Operation.hist_cum!/2","type":"function"},{"doc":"Estimate image entropy Arguments in - Input histogram image","ref":"Vix.Vips.Operation.html#hist_entropy/2","title":"Vix.Vips.Operation.hist_entropy/2","type":"function"},{"doc":"Same as hist_entropy/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#hist_entropy!/2","title":"Vix.Vips.Operation.hist_entropy!/2","type":"function"},{"doc":"Histogram equalisation Arguments in - Input image Optional band - Equalise with this band. Default: -1","ref":"Vix.Vips.Operation.html#hist_equal/2","title":"Vix.Vips.Operation.hist_equal/2","type":"function"},{"doc":"Same as hist_equal/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#hist_equal!/2","title":"Vix.Vips.Operation.hist_equal!/2","type":"function"},{"doc":"Find image histogram Arguments in - Input image Optional band - Find histogram of band. Default: -1","ref":"Vix.Vips.Operation.html#hist_find/2","title":"Vix.Vips.Operation.hist_find/2","type":"function"},{"doc":"Same as hist_find/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#hist_find!/2","title":"Vix.Vips.Operation.hist_find!/2","type":"function"},{"doc":"Find indexed image histogram Arguments in - Input image index - Index image Optional combine - Combine bins like this. Default: :VIPS_COMBINE_SUM","ref":"Vix.Vips.Operation.html#hist_find_indexed/3","title":"Vix.Vips.Operation.hist_find_indexed/3","type":"function"},{"doc":"Same as hist_find_indexed/3 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#hist_find_indexed!/3","title":"Vix.Vips.Operation.hist_find_indexed!/3","type":"function"},{"doc":"Find n-dimensional image histogram Arguments in - Input image Optional bins - Number of bins in each dimension. Default: 10","ref":"Vix.Vips.Operation.html#hist_find_ndim/2","title":"Vix.Vips.Operation.hist_find_ndim/2","type":"function"},{"doc":"Same as hist_find_ndim/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#hist_find_ndim!/2","title":"Vix.Vips.Operation.hist_find_ndim!/2","type":"function"},{"doc":"Test for monotonicity Arguments in - Input histogram image","ref":"Vix.Vips.Operation.html#hist_ismonotonic/2","title":"Vix.Vips.Operation.hist_ismonotonic/2","type":"function"},{"doc":"Same as hist_ismonotonic/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#hist_ismonotonic!/2","title":"Vix.Vips.Operation.hist_ismonotonic!/2","type":"function"},{"doc":"Local histogram equalisation Arguments in - Input image width - Window width in pixels height - Window height in pixels Optional max-slope - Maximum slope (CLAHE). Default: 0","ref":"Vix.Vips.Operation.html#hist_local/4","title":"Vix.Vips.Operation.hist_local/4","type":"function"},{"doc":"Same as hist_local/4 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#hist_local!/4","title":"Vix.Vips.Operation.hist_local!/4","type":"function"},{"doc":"Match two histograms Arguments in - Input histogram ref - Reference histogram","ref":"Vix.Vips.Operation.html#hist_match/3","title":"Vix.Vips.Operation.hist_match/3","type":"function"},{"doc":"Same as hist_match/3 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#hist_match!/3","title":"Vix.Vips.Operation.hist_match!/3","type":"function"},{"doc":"Normalise histogram Arguments in - Input image","ref":"Vix.Vips.Operation.html#hist_norm/2","title":"Vix.Vips.Operation.hist_norm/2","type":"function"},{"doc":"Same as hist_norm/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#hist_norm!/2","title":"Vix.Vips.Operation.hist_norm!/2","type":"function"},{"doc":"Plot histogram Arguments in - Input image","ref":"Vix.Vips.Operation.html#hist_plot/2","title":"Vix.Vips.Operation.hist_plot/2","type":"function"},{"doc":"Same as hist_plot/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#hist_plot!/2","title":"Vix.Vips.Operation.hist_plot!/2","type":"function"},{"doc":"Find hough circle transform Arguments in - Input image Optional max-radius - Largest radius to search for. Default: 20 min-radius - Smallest radius to search for. Default: 10 scale - Scale down dimensions by this factor. Default: 3","ref":"Vix.Vips.Operation.html#hough_circle/2","title":"Vix.Vips.Operation.hough_circle/2","type":"function"},{"doc":"Same as hough_circle/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#hough_circle!/2","title":"Vix.Vips.Operation.hough_circle!/2","type":"function"},{"doc":"Find hough line transform Arguments in - Input image Optional height - Vertical size of parameter space. Default: 256 width - horizontal size of parameter space. Default: 256","ref":"Vix.Vips.Operation.html#hough_line/2","title":"Vix.Vips.Operation.hough_line/2","type":"function"},{"doc":"Same as hough_line/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#hough_line!/2","title":"Vix.Vips.Operation.hough_line!/2","type":"function"},{"doc":"Transform hsv to srgb Arguments in - Input image","ref":"Vix.Vips.Operation.html#hsv2srgb/2","title":"Vix.Vips.Operation.hsv2srgb/2","type":"function"},{"doc":"Same as hsv2srgb/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#hsv2srgb!/2","title":"Vix.Vips.Operation.hsv2srgb!/2","type":"function"},{"doc":"Output to device with icc profile Arguments in - Input image Optional depth - Output device space depth in bits. Default: 8 output-profile - Filename to load output profile from. Default: nil black-point-compensation - Enable black point compensation. Default: false intent - Rendering intent. Default: :VIPS_INTENT_RELATIVE pcs - Set Profile Connection Space. Default: :VIPS_PCS_LAB","ref":"Vix.Vips.Operation.html#icc_export/2","title":"Vix.Vips.Operation.icc_export/2","type":"function"},{"doc":"Same as icc_export/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#icc_export!/2","title":"Vix.Vips.Operation.icc_export!/2","type":"function"},{"doc":"Import from device with icc profile Arguments in - Input image Optional input-profile - Filename to load input profile from. Default: nil embedded - Use embedded input profile, if available. Default: false black-point-compensation - Enable black point compensation. Default: false intent - Rendering intent. Default: :VIPS_INTENT_RELATIVE pcs - Set Profile Connection Space. Default: :VIPS_PCS_LAB","ref":"Vix.Vips.Operation.html#icc_import/2","title":"Vix.Vips.Operation.icc_import/2","type":"function"},{"doc":"Same as icc_import/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#icc_import!/2","title":"Vix.Vips.Operation.icc_import!/2","type":"function"},{"doc":"Transform between devices with icc profiles Arguments in - Input image output-profile - Filename to load output profile from Optional depth - Output device space depth in bits. Default: 8 input-profile - Filename to load input profile from. Default: nil embedded - Use embedded input profile, if available. Default: false black-point-compensation - Enable black point compensation. Default: false intent - Rendering intent. Default: :VIPS_INTENT_RELATIVE pcs - Set Profile Connection Space. Default: :VIPS_PCS_LAB","ref":"Vix.Vips.Operation.html#icc_transform/3","title":"Vix.Vips.Operation.icc_transform/3","type":"function"},{"doc":"Same as icc_transform/3 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#icc_transform!/3","title":"Vix.Vips.Operation.icc_transform!/3","type":"function"},{"doc":"Make a 1d image where pixel values are indexes Arguments Optional size - Size of 16-bit LUT. Default: 65536 ushort - Create a 16-bit LUT. Default: false bands - Number of bands in LUT. Default: 1","ref":"Vix.Vips.Operation.html#identity/1","title":"Vix.Vips.Operation.identity/1","type":"function"},{"doc":"Same as identity/1 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#identity!/1","title":"Vix.Vips.Operation.identity!/1","type":"function"},{"doc":"Ifthenelse an image Arguments cond - Condition input image in1 - Source for TRUE pixels in2 - Source for FALSE pixels Optional blend - Blend smoothly between then and else parts. Default: false","ref":"Vix.Vips.Operation.html#ifthenelse/4","title":"Vix.Vips.Operation.ifthenelse/4","type":"function"},{"doc":"Same as ifthenelse/4 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#ifthenelse!/4","title":"Vix.Vips.Operation.ifthenelse!/4","type":"function"},{"doc":"Insert image @sub into @main at @x, @y Arguments main - Main input image sub - Sub-image to insert into main image x - Left edge of sub in main y - Top edge of sub in main Optional background - Color for new pixels. expand - Expand output to hold all of both inputs. Default: false","ref":"Vix.Vips.Operation.html#insert/5","title":"Vix.Vips.Operation.insert/5","type":"function"},{"doc":"Same as insert/5 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#insert!/5","title":"Vix.Vips.Operation.insert!/5","type":"function"},{"doc":"Invert an image Arguments in - Input image","ref":"Vix.Vips.Operation.html#invert/2","title":"Vix.Vips.Operation.invert/2","type":"function"},{"doc":"Same as invert/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#invert!/2","title":"Vix.Vips.Operation.invert!/2","type":"function"},{"doc":"Build an inverted look-up table Arguments in - Matrix of XY coordinates Optional size - LUT size to generate. Default: 256","ref":"Vix.Vips.Operation.html#invertlut/2","title":"Vix.Vips.Operation.invertlut/2","type":"function"},{"doc":"Same as invertlut/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#invertlut!/2","title":"Vix.Vips.Operation.invertlut!/2","type":"function"},{"doc":"Inverse fft Arguments in - Input image Optional real - Output only the real part of the transform. Default: false","ref":"Vix.Vips.Operation.html#invfft/2","title":"Vix.Vips.Operation.invfft/2","type":"function"},{"doc":"Same as invfft/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#invfft!/2","title":"Vix.Vips.Operation.invfft!/2","type":"function"},{"doc":"Join a pair of images Arguments in1 - First input image in2 - Second input image direction - Join left-right or up-down Optional align - Align on the low, centre or high coordinate edge. Default: :VIPS_ALIGN_LOW background - Colour for new pixels. shim - Pixels between images. Default: 0 expand - Expand output to hold all of both inputs. Default: false","ref":"Vix.Vips.Operation.html#join/4","title":"Vix.Vips.Operation.join/4","type":"function"},{"doc":"Same as join/4 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#join!/4","title":"Vix.Vips.Operation.join!/4","type":"function"},{"doc":"Transform float lab to labq coding Arguments in - Input image","ref":"Vix.Vips.Operation.html#lab2labq/2","title":"Vix.Vips.Operation.lab2labq/2","type":"function"},{"doc":"Same as lab2labq/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#lab2labq!/2","title":"Vix.Vips.Operation.lab2labq!/2","type":"function"},{"doc":"Transform float lab to signed short Arguments in - Input image","ref":"Vix.Vips.Operation.html#lab2labs/2","title":"Vix.Vips.Operation.lab2labs/2","type":"function"},{"doc":"Same as lab2labs/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#lab2labs!/2","title":"Vix.Vips.Operation.lab2labs!/2","type":"function"},{"doc":"Transform lab to lch Arguments in - Input image","ref":"Vix.Vips.Operation.html#lab2lch/2","title":"Vix.Vips.Operation.lab2lch/2","type":"function"},{"doc":"Same as lab2lch/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#lab2lch!/2","title":"Vix.Vips.Operation.lab2lch!/2","type":"function"},{"doc":"Transform cielab to xyz Arguments in - Input image Optional temp - Color temperature.","ref":"Vix.Vips.Operation.html#lab2xyz/2","title":"Vix.Vips.Operation.lab2xyz/2","type":"function"},{"doc":"Same as lab2xyz/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#lab2xyz!/2","title":"Vix.Vips.Operation.lab2xyz!/2","type":"function"},{"doc":"Label regions in an image Arguments in - Input image argument Returns Ordered values in the returned tuple mask - Mask of region labels. ( Vix.Vips.Image.t() ) Additional Last value of the the output tuple is a keyword list of additional optional output values segments - Number of discrete contigious regions. ( integer() )","ref":"Vix.Vips.Operation.html#labelregions/2","title":"Vix.Vips.Operation.labelregions/2","type":"function"},{"doc":"Same as labelregions/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#labelregions!/2","title":"Vix.Vips.Operation.labelregions!/2","type":"function"},{"doc":"Unpack a labq image to float lab Arguments in - Input image","ref":"Vix.Vips.Operation.html#labq2lab/2","title":"Vix.Vips.Operation.labq2lab/2","type":"function"},{"doc":"Same as labq2lab/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#labq2lab!/2","title":"Vix.Vips.Operation.labq2lab!/2","type":"function"},{"doc":"Unpack a labq image to short lab Arguments in - Input image","ref":"Vix.Vips.Operation.html#labq2labs/2","title":"Vix.Vips.Operation.labq2labs/2","type":"function"},{"doc":"Same as labq2labs/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#labq2labs!/2","title":"Vix.Vips.Operation.labq2labs!/2","type":"function"},{"doc":"Convert a labq image to srgb Arguments in - Input image","ref":"Vix.Vips.Operation.html#labq2srgb/2","title":"Vix.Vips.Operation.labq2srgb/2","type":"function"},{"doc":"Same as labq2srgb/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#labq2srgb!/2","title":"Vix.Vips.Operation.labq2srgb!/2","type":"function"},{"doc":"Transform signed short lab to float Arguments in - Input image","ref":"Vix.Vips.Operation.html#labs2lab/2","title":"Vix.Vips.Operation.labs2lab/2","type":"function"},{"doc":"Same as labs2lab/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#labs2lab!/2","title":"Vix.Vips.Operation.labs2lab!/2","type":"function"},{"doc":"Transform short lab to labq coding Arguments in - Input image","ref":"Vix.Vips.Operation.html#labs2labq/2","title":"Vix.Vips.Operation.labs2labq/2","type":"function"},{"doc":"Same as labs2labq/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#labs2labq!/2","title":"Vix.Vips.Operation.labs2labq!/2","type":"function"},{"doc":"Transform lch to cmc Arguments in - Input image","ref":"Vix.Vips.Operation.html#lch2cmc/2","title":"Vix.Vips.Operation.lch2cmc/2","type":"function"},{"doc":"Same as lch2cmc/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#lch2cmc!/2","title":"Vix.Vips.Operation.lch2cmc!/2","type":"function"},{"doc":"Transform lch to lab Arguments in - Input image","ref":"Vix.Vips.Operation.html#lch2lab/2","title":"Vix.Vips.Operation.lch2lab/2","type":"function"},{"doc":"Same as lch2lab/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#lch2lab!/2","title":"Vix.Vips.Operation.lch2lab!/2","type":"function"},{"doc":"Calculate (a * in + b) Arguments in - Input image a - Multiply by this b - Add this Optional uchar - Output should be uchar. Default: false","ref":"Vix.Vips.Operation.html#linear/4","title":"Vix.Vips.Operation.linear/4","type":"function"},{"doc":"Same as linear/4 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#linear!/4","title":"Vix.Vips.Operation.linear!/4","type":"function"},{"doc":"Cache an image as a set of lines Arguments in - Input image Optional persistent - Keep cache between evaluations. Default: false threaded - Allow threaded access. Default: false access - Expected access pattern. Default: :VIPS_ACCESS_RANDOM tile-height - Tile height in pixels. Default: 128","ref":"Vix.Vips.Operation.html#linecache/2","title":"Vix.Vips.Operation.linecache/2","type":"function"},{"doc":"Same as linecache/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#linecache!/2","title":"Vix.Vips.Operation.linecache!/2","type":"function"},{"doc":"Make a laplacian of gaussian image Arguments sigma - Radius of Logmatian min-ampl - Minimum amplitude of Logmatian Optional precision - Generate with this precision. Default: :VIPS_PRECISION_INTEGER integer - Generate integer Logmatian. Default: false separable - Generate separable Logmatian. Default: false","ref":"Vix.Vips.Operation.html#logmat/3","title":"Vix.Vips.Operation.logmat/3","type":"function"},{"doc":"Same as logmat/3 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#logmat!/3","title":"Vix.Vips.Operation.logmat!/3","type":"function"},{"doc":"Resample with a map image Arguments in - Input image argument index - Index pixels with this","ref":"Vix.Vips.Operation.html#mapim/3","title":"Vix.Vips.Operation.mapim/3","type":"function"},{"doc":"Same as mapim/3 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#mapim!/3","title":"Vix.Vips.Operation.mapim!/3","type":"function"},{"doc":"Map an image though a lut Arguments in - Input image lut - Look-up table image Optional band - apply one-band lut to this band of in. Default: -1","ref":"Vix.Vips.Operation.html#maplut/3","title":"Vix.Vips.Operation.maplut/3","type":"function"},{"doc":"Same as maplut/3 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#maplut!/3","title":"Vix.Vips.Operation.maplut!/3","type":"function"},{"doc":"Make a butterworth filter Arguments width - Image width in pixels height - Image height in pixels order - Filter order frequency-cutoff - Frequency cutoff amplitude-cutoff - Amplitude cutoff Optional optical - Rotate quadrants to optical space. Default: false reject - Invert the sense of the filter. Default: false nodc - Remove DC component. Default: false uchar - Output an unsigned char image. Default: false","ref":"Vix.Vips.Operation.html#mask_butterworth/6","title":"Vix.Vips.Operation.mask_butterworth/6","type":"function"},{"doc":"Same as mask_butterworth/6 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#mask_butterworth!/6","title":"Vix.Vips.Operation.mask_butterworth!/6","type":"function"},{"doc":"Make a butterworth_band filter Arguments width - Image width in pixels height - Image height in pixels order - Filter order frequency-cutoff-x - Frequency cutoff x frequency-cutoff-y - Frequency cutoff y radius - radius of circle amplitude-cutoff - Amplitude cutoff Optional optical - Rotate quadrants to optical space. Default: false reject - Invert the sense of the filter. Default: false nodc - Remove DC component. Default: false uchar - Output an unsigned char image. Default: false","ref":"Vix.Vips.Operation.html#mask_butterworth_band/8","title":"Vix.Vips.Operation.mask_butterworth_band/8","type":"function"},{"doc":"Same as mask_butterworth_band/8 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#mask_butterworth_band!/8","title":"Vix.Vips.Operation.mask_butterworth_band!/8","type":"function"},{"doc":"Make a butterworth ring filter Arguments width - Image width in pixels height - Image height in pixels order - Filter order frequency-cutoff - Frequency cutoff amplitude-cutoff - Amplitude cutoff ringwidth - Ringwidth Optional optical - Rotate quadrants to optical space. Default: false reject - Invert the sense of the filter. Default: false nodc - Remove DC component. Default: false uchar - Output an unsigned char image. Default: false","ref":"Vix.Vips.Operation.html#mask_butterworth_ring/7","title":"Vix.Vips.Operation.mask_butterworth_ring/7","type":"function"},{"doc":"Same as mask_butterworth_ring/7 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#mask_butterworth_ring!/7","title":"Vix.Vips.Operation.mask_butterworth_ring!/7","type":"function"},{"doc":"Make fractal filter Arguments width - Image width in pixels height - Image height in pixels fractal-dimension - Fractal dimension Optional optical - Rotate quadrants to optical space. Default: false reject - Invert the sense of the filter. Default: false nodc - Remove DC component. Default: false uchar - Output an unsigned char image. Default: false","ref":"Vix.Vips.Operation.html#mask_fractal/4","title":"Vix.Vips.Operation.mask_fractal/4","type":"function"},{"doc":"Same as mask_fractal/4 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#mask_fractal!/4","title":"Vix.Vips.Operation.mask_fractal!/4","type":"function"},{"doc":"Make a gaussian filter Arguments width - Image width in pixels height - Image height in pixels frequency-cutoff - Frequency cutoff amplitude-cutoff - Amplitude cutoff Optional optical - Rotate quadrants to optical space. Default: false reject - Invert the sense of the filter. Default: false nodc - Remove DC component. Default: false uchar - Output an unsigned char image. Default: false","ref":"Vix.Vips.Operation.html#mask_gaussian/5","title":"Vix.Vips.Operation.mask_gaussian/5","type":"function"},{"doc":"Same as mask_gaussian/5 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#mask_gaussian!/5","title":"Vix.Vips.Operation.mask_gaussian!/5","type":"function"},{"doc":"Make a gaussian filter Arguments width - Image width in pixels height - Image height in pixels frequency-cutoff-x - Frequency cutoff x frequency-cutoff-y - Frequency cutoff y radius - radius of circle amplitude-cutoff - Amplitude cutoff Optional optical - Rotate quadrants to optical space. Default: false reject - Invert the sense of the filter. Default: false nodc - Remove DC component. Default: false uchar - Output an unsigned char image. Default: false","ref":"Vix.Vips.Operation.html#mask_gaussian_band/7","title":"Vix.Vips.Operation.mask_gaussian_band/7","type":"function"},{"doc":"Same as mask_gaussian_band/7 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#mask_gaussian_band!/7","title":"Vix.Vips.Operation.mask_gaussian_band!/7","type":"function"},{"doc":"Make a gaussian ring filter Arguments width - Image width in pixels height - Image height in pixels frequency-cutoff - Frequency cutoff amplitude-cutoff - Amplitude cutoff ringwidth - Ringwidth Optional optical - Rotate quadrants to optical space. Default: false reject - Invert the sense of the filter. Default: false nodc - Remove DC component. Default: false uchar - Output an unsigned char image. Default: false","ref":"Vix.Vips.Operation.html#mask_gaussian_ring/6","title":"Vix.Vips.Operation.mask_gaussian_ring/6","type":"function"},{"doc":"Same as mask_gaussian_ring/6 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#mask_gaussian_ring!/6","title":"Vix.Vips.Operation.mask_gaussian_ring!/6","type":"function"},{"doc":"Make an ideal filter Arguments width - Image width in pixels height - Image height in pixels frequency-cutoff - Frequency cutoff Optional optical - Rotate quadrants to optical space. Default: false reject - Invert the sense of the filter. Default: false nodc - Remove DC component. Default: false uchar - Output an unsigned char image. Default: false","ref":"Vix.Vips.Operation.html#mask_ideal/4","title":"Vix.Vips.Operation.mask_ideal/4","type":"function"},{"doc":"Same as mask_ideal/4 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#mask_ideal!/4","title":"Vix.Vips.Operation.mask_ideal!/4","type":"function"},{"doc":"Make an ideal band filter Arguments width - Image width in pixels height - Image height in pixels frequency-cutoff-x - Frequency cutoff x frequency-cutoff-y - Frequency cutoff y radius - radius of circle Optional optical - Rotate quadrants to optical space. Default: false reject - Invert the sense of the filter. Default: false nodc - Remove DC component. Default: false uchar - Output an unsigned char image. Default: false","ref":"Vix.Vips.Operation.html#mask_ideal_band/6","title":"Vix.Vips.Operation.mask_ideal_band/6","type":"function"},{"doc":"Same as mask_ideal_band/6 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#mask_ideal_band!/6","title":"Vix.Vips.Operation.mask_ideal_band!/6","type":"function"},{"doc":"Make an ideal ring filter Arguments width - Image width in pixels height - Image height in pixels frequency-cutoff - Frequency cutoff ringwidth - Ringwidth Optional optical - Rotate quadrants to optical space. Default: false reject - Invert the sense of the filter. Default: false nodc - Remove DC component. Default: false uchar - Output an unsigned char image. Default: false","ref":"Vix.Vips.Operation.html#mask_ideal_ring/5","title":"Vix.Vips.Operation.mask_ideal_ring/5","type":"function"},{"doc":"Same as mask_ideal_ring/5 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#mask_ideal_ring!/5","title":"Vix.Vips.Operation.mask_ideal_ring!/5","type":"function"},{"doc":"First-order match of two images Arguments ref - Reference image sec - Secondary image xr1 - Position of first reference tie-point yr1 - Position of first reference tie-point xs1 - Position of first secondary tie-point ys1 - Position of first secondary tie-point xr2 - Position of second reference tie-point yr2 - Position of second reference tie-point xs2 - Position of second secondary tie-point ys2 - Position of second secondary tie-point Optional search - Search to improve tie-points. Default: false harea - Half area size. Default: 1 hwindow - Half window size. Default: 1","ref":"Vix.Vips.Operation.html#match/11","title":"Vix.Vips.Operation.match/11","type":"function"},{"doc":"Same as match/11 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#match!/11","title":"Vix.Vips.Operation.match!/11","type":"function"},{"doc":"Apply a math operation to an image Arguments in - Input image math - math to perform","ref":"Vix.Vips.Operation.html#math/3","title":"Vix.Vips.Operation.math/3","type":"function"},{"doc":"Same as math/3 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#math!/3","title":"Vix.Vips.Operation.math!/3","type":"function"},{"doc":"Binary math operations Arguments left - Left-hand image argument right - Right-hand image argument math2 - math to perform","ref":"Vix.Vips.Operation.html#math2/4","title":"Vix.Vips.Operation.math2/4","type":"function"},{"doc":"Same as math2/4 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#math2!/4","title":"Vix.Vips.Operation.math2!/4","type":"function"},{"doc":"Binary math operations with a constant Arguments in - Input image math2 - math to perform c - Array of constants","ref":"Vix.Vips.Operation.html#math2_const/4","title":"Vix.Vips.Operation.math2_const/4","type":"function"},{"doc":"Same as math2_const/4 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#math2_const!/4","title":"Vix.Vips.Operation.math2_const!/4","type":"function"},{"doc":"Invert an matrix Arguments in - An square matrix","ref":"Vix.Vips.Operation.html#matrixinvert/2","title":"Vix.Vips.Operation.matrixinvert/2","type":"function"},{"doc":"Same as matrixinvert/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#matrixinvert!/2","title":"Vix.Vips.Operation.matrixinvert!/2","type":"function"},{"doc":"Find image maximum Arguments in - Input image Optional size - Number of maximum values to find. Default: 10 Returns Ordered values in the returned tuple out - Output value. ( float() ) Additional Last value of the the output tuple is a keyword list of additional optional output values y-array - Array of vertical positions. ( list(integer()) ) x-array - Array of horizontal positions. ( list(integer()) ) out-array - Array of output values. ( list(float()) ) y - Vertical position of maximum. ( integer() ) x - Horizontal position of maximum. ( integer() )","ref":"Vix.Vips.Operation.html#max/2","title":"Vix.Vips.Operation.max/2","type":"function"},{"doc":"Same as max/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#max!/2","title":"Vix.Vips.Operation.max!/2","type":"function"},{"doc":"Measure a set of patches on a color chart Arguments in - Image to measure h - Number of patches across chart v - Number of patches down chart Optional height - Height of extract area. Default: 1 width - Width of extract area. Default: 1 top - Top edge of extract area. Default: 0 left - Left edge of extract area. Default: 0","ref":"Vix.Vips.Operation.html#measure/4","title":"Vix.Vips.Operation.measure/4","type":"function"},{"doc":"Same as measure/4 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#measure!/4","title":"Vix.Vips.Operation.measure!/4","type":"function"},{"doc":"Merge two images Arguments ref - Reference image sec - Secondary image direction - Horizontal or vertical merge dx - Horizontal displacement from sec to ref dy - Vertical displacement from sec to ref Optional mblend - Maximum blend size. Default: 10","ref":"Vix.Vips.Operation.html#merge/6","title":"Vix.Vips.Operation.merge/6","type":"function"},{"doc":"Same as merge/6 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#merge!/6","title":"Vix.Vips.Operation.merge!/6","type":"function"},{"doc":"Find image minimum Arguments in - Input image Optional size - Number of minimum values to find. Default: 10 Returns Ordered values in the returned tuple out - Output value. ( float() ) Additional Last value of the the output tuple is a keyword list of additional optional output values y-array - Array of vertical positions. ( list(integer()) ) x-array - Array of horizontal positions. ( list(integer()) ) out-array - Array of output values. ( list(float()) ) y - Vertical position of minimum. ( integer() ) x - Horizontal position of minimum. ( integer() )","ref":"Vix.Vips.Operation.html#min/2","title":"Vix.Vips.Operation.min/2","type":"function"},{"doc":"Same as min/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#min!/2","title":"Vix.Vips.Operation.min!/2","type":"function"},{"doc":"Morphology operation Arguments in - Input image argument mask - Input matrix image morph - Morphological operation to perform","ref":"Vix.Vips.Operation.html#morph/4","title":"Vix.Vips.Operation.morph/4","type":"function"},{"doc":"Same as morph/4 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#morph!/4","title":"Vix.Vips.Operation.morph!/4","type":"function"},{"doc":"Mosaic two images Arguments ref - Reference image sec - Secondary image direction - Horizontal or vertical mosaic xref - Position of reference tie-point yref - Position of reference tie-point xsec - Position of secondary tie-point ysec - Position of secondary tie-point Optional bandno - Band to search for features on. Default: 0 mblend - Maximum blend size. Default: 10 harea - Half area size. Default: 15 hwindow - Half window size. Default: 5 Returns Ordered values in the returned tuple out - Output image. ( Vix.Vips.Image.t() ) Additional Last value of the the output tuple is a keyword list of additional optional output values dx1 - Detected first-order displacement. ( float() ) dy1 - Detected first-order displacement. ( float() ) angle1 - Detected rotation. ( float() ) scale1 - Detected scale. ( float() ) dy0 - Detected integer offset. ( integer() ) dx0 - Detected integer offset. ( integer() )","ref":"Vix.Vips.Operation.html#mosaic/8","title":"Vix.Vips.Operation.mosaic/8","type":"function"},{"doc":"Same as mosaic/8 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#mosaic!/8","title":"Vix.Vips.Operation.mosaic!/8","type":"function"},{"doc":"First-order mosaic of two images Arguments ref - Reference image sec - Secondary image direction - Horizontal or vertical mosaic xr1 - Position of first reference tie-point yr1 - Position of first reference tie-point xs1 - Position of first secondary tie-point ys1 - Position of first secondary tie-point xr2 - Position of second reference tie-point yr2 - Position of second reference tie-point xs2 - Position of second secondary tie-point ys2 - Position of second secondary tie-point Optional bandno - Band to search for features on. Default: 0 mblend - Maximum blend size. Default: 10 search - Search to improve tie-points. Default: false harea - Half area size. Default: 15 hwindow - Half window size. Default: 5","ref":"Vix.Vips.Operation.html#mosaic1/12","title":"Vix.Vips.Operation.mosaic1/12","type":"function"},{"doc":"Same as mosaic1/12 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#mosaic1!/12","title":"Vix.Vips.Operation.mosaic1!/12","type":"function"},{"doc":"Pick most-significant byte from an image Arguments in - Input image Optional band - Band to msb. Default: 0","ref":"Vix.Vips.Operation.html#msb/2","title":"Vix.Vips.Operation.msb/2","type":"function"},{"doc":"Same as msb/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#msb!/2","title":"Vix.Vips.Operation.msb!/2","type":"function"},{"doc":"Multiply two images Arguments left - Left-hand image argument right - Right-hand image argument","ref":"Vix.Vips.Operation.html#multiply/3","title":"Vix.Vips.Operation.multiply/3","type":"function"},{"doc":"Same as multiply/3 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#multiply!/3","title":"Vix.Vips.Operation.multiply!/3","type":"function"},{"doc":"Find threshold for percent of pixels Arguments in - Input image percent - Percent of pixels","ref":"Vix.Vips.Operation.html#percent/3","title":"Vix.Vips.Operation.percent/3","type":"function"},{"doc":"Same as percent/3 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#percent!/3","title":"Vix.Vips.Operation.percent!/3","type":"function"},{"doc":"Make a perlin noise image Arguments width - Image width in pixels height - Image height in pixels Optional seed - Random number seed. Default: 0 uchar - Output an unsigned char image. Default: false cell-size - Size of Perlin cells. Default: 256","ref":"Vix.Vips.Operation.html#perlin/3","title":"Vix.Vips.Operation.perlin/3","type":"function"},{"doc":"Same as perlin/3 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#perlin!/3","title":"Vix.Vips.Operation.perlin!/3","type":"function"},{"doc":"Calculate phase correlation Arguments in - Input image in2 - Second input image","ref":"Vix.Vips.Operation.html#phasecor/3","title":"Vix.Vips.Operation.phasecor/3","type":"function"},{"doc":"Same as phasecor/3 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#phasecor!/3","title":"Vix.Vips.Operation.phasecor!/3","type":"function"},{"doc":"Premultiply image alpha Arguments in - Input image Optional max-alpha - Maximum value of alpha channel. Default: 255.0","ref":"Vix.Vips.Operation.html#premultiply/2","title":"Vix.Vips.Operation.premultiply/2","type":"function"},{"doc":"Same as premultiply/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#premultiply!/2","title":"Vix.Vips.Operation.premultiply!/2","type":"function"},{"doc":"Find image profiles Arguments in - Input image Returns Ordered values in the returned tuple columns - First non-zero pixel in column. ( Vix.Vips.Image.t() ) rows - First non-zero pixel in row. ( Vix.Vips.Image.t() ) Additional Last value of the the output tuple is a keyword list of additional optional output values","ref":"Vix.Vips.Operation.html#profile/2","title":"Vix.Vips.Operation.profile/2","type":"function"},{"doc":"Same as profile/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#profile!/2","title":"Vix.Vips.Operation.profile!/2","type":"function"},{"doc":"Find image projections Arguments in - Input image Returns Ordered values in the returned tuple columns - Sums of columns. ( Vix.Vips.Image.t() ) rows - Sums of rows. ( Vix.Vips.Image.t() ) Additional Last value of the the output tuple is a keyword list of additional optional output values","ref":"Vix.Vips.Operation.html#project/2","title":"Vix.Vips.Operation.project/2","type":"function"},{"doc":"Same as project/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#project!/2","title":"Vix.Vips.Operation.project!/2","type":"function"},{"doc":"Resample an image with a quadratic transform Arguments in - Input image argument coeff - Coefficient matrix","ref":"Vix.Vips.Operation.html#quadratic/3","title":"Vix.Vips.Operation.quadratic/3","type":"function"},{"doc":"Same as quadratic/3 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#quadratic!/3","title":"Vix.Vips.Operation.quadratic!/3","type":"function"},{"doc":"Unpack radiance coding to float rgb Arguments in - Input image","ref":"Vix.Vips.Operation.html#rad2float/2","title":"Vix.Vips.Operation.rad2float/2","type":"function"},{"doc":"Same as rad2float/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#rad2float!/2","title":"Vix.Vips.Operation.rad2float!/2","type":"function"},{"doc":"Rank filter Arguments in - Input image argument width - Window width in pixels height - Window height in pixels index - Select pixel at index","ref":"Vix.Vips.Operation.html#rank/5","title":"Vix.Vips.Operation.rank/5","type":"function"},{"doc":"Same as rank/5 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#rank!/5","title":"Vix.Vips.Operation.rank!/5","type":"function"},{"doc":"Linear recombination with matrix Arguments in - Input image argument m - matrix of coefficients","ref":"Vix.Vips.Operation.html#recomb/3","title":"Vix.Vips.Operation.recomb/3","type":"function"},{"doc":"Same as recomb/3 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#recomb!/3","title":"Vix.Vips.Operation.recomb!/3","type":"function"},{"doc":"Reduce an image Arguments in - Input image argument hshrink - Horizontal shrink factor vshrink - Vertical shrink factor Optional centre - Use centre sampling convention. Default: false kernel - Resampling kernel. Default: :VIPS_KERNEL_LANCZOS3","ref":"Vix.Vips.Operation.html#reduce/4","title":"Vix.Vips.Operation.reduce/4","type":"function"},{"doc":"Same as reduce/4 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#reduce!/4","title":"Vix.Vips.Operation.reduce!/4","type":"function"},{"doc":"Shrink an image horizontally Arguments in - Input image argument hshrink - Horizontal shrink factor Optional centre - Use centre sampling convention. Default: false kernel - Resampling kernel. Default: :VIPS_KERNEL_LANCZOS3","ref":"Vix.Vips.Operation.html#reduceh/3","title":"Vix.Vips.Operation.reduceh/3","type":"function"},{"doc":"Same as reduceh/3 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#reduceh!/3","title":"Vix.Vips.Operation.reduceh!/3","type":"function"},{"doc":"Shrink an image vertically Arguments in - Input image argument vshrink - Vertical shrink factor Optional centre - Use centre sampling convention. Default: false kernel - Resampling kernel. Default: :VIPS_KERNEL_LANCZOS3","ref":"Vix.Vips.Operation.html#reducev/3","title":"Vix.Vips.Operation.reducev/3","type":"function"},{"doc":"Same as reducev/3 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#reducev!/3","title":"Vix.Vips.Operation.reducev!/3","type":"function"},{"doc":"Relational operation on two images Arguments left - Left-hand image argument right - Right-hand image argument relational - relational to perform","ref":"Vix.Vips.Operation.html#relational/4","title":"Vix.Vips.Operation.relational/4","type":"function"},{"doc":"Same as relational/4 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#relational!/4","title":"Vix.Vips.Operation.relational!/4","type":"function"},{"doc":"Relational operations against a constant Arguments in - Input image relational - relational to perform c - Array of constants","ref":"Vix.Vips.Operation.html#relational_const/4","title":"Vix.Vips.Operation.relational_const/4","type":"function"},{"doc":"Same as relational_const/4 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#relational_const!/4","title":"Vix.Vips.Operation.relational_const!/4","type":"function"},{"doc":"Remainder after integer division of two images Arguments left - Left-hand image argument right - Right-hand image argument","ref":"Vix.Vips.Operation.html#remainder/3","title":"Vix.Vips.Operation.remainder/3","type":"function"},{"doc":"Same as remainder/3 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#remainder!/3","title":"Vix.Vips.Operation.remainder!/3","type":"function"},{"doc":"Remainder after integer division of an image and a constant Arguments in - Input image c - Array of constants","ref":"Vix.Vips.Operation.html#remainder_const/3","title":"Vix.Vips.Operation.remainder_const/3","type":"function"},{"doc":"Same as remainder_const/3 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#remainder_const!/3","title":"Vix.Vips.Operation.remainder_const!/3","type":"function"},{"doc":"Replicate an image Arguments in - Input image across - Repeat this many times horizontally down - Repeat this many times vertically","ref":"Vix.Vips.Operation.html#replicate/4","title":"Vix.Vips.Operation.replicate/4","type":"function"},{"doc":"Same as replicate/4 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#replicate!/4","title":"Vix.Vips.Operation.replicate!/4","type":"function"},{"doc":"Resize an image Arguments in - Input image argument scale - Scale image by this factor Optional idy - Vertical input displacement. Default: 0.0 idx - Horizontal input displacement. Default: 0.0 vscale - Vertical scale image by this factor. Default: 0.0 centre - Use centre sampling convention. Default: false kernel - Resampling kernel. Default: :VIPS_KERNEL_LANCZOS3","ref":"Vix.Vips.Operation.html#resize/3","title":"Vix.Vips.Operation.resize/3","type":"function"},{"doc":"Same as resize/3 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#resize!/3","title":"Vix.Vips.Operation.resize!/3","type":"function"},{"doc":"Rotate an image Arguments in - Input image angle - Angle to rotate image","ref":"Vix.Vips.Operation.html#rot/3","title":"Vix.Vips.Operation.rot/3","type":"function"},{"doc":"Same as rot/3 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#rot!/3","title":"Vix.Vips.Operation.rot!/3","type":"function"},{"doc":"Rotate an image Arguments in - Input image Optional angle - Angle to rotate image. Default: :VIPS_ANGLE45_D45","ref":"Vix.Vips.Operation.html#rot45/2","title":"Vix.Vips.Operation.rot45/2","type":"function"},{"doc":"Same as rot45/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#rot45!/2","title":"Vix.Vips.Operation.rot45!/2","type":"function"},{"doc":"Rotate an image by a number of degrees Arguments in - Input image argument angle - Rotate anticlockwise by this many degrees Optional idy - Vertical input displacement. Default: 0.0 idx - Horizontal input displacement. Default: 0.0 ody - Vertical output displacement. Default: 0.0 odx - Horizontal output displacement. Default: 0.0 background - Background value.","ref":"Vix.Vips.Operation.html#rotate/3","title":"Vix.Vips.Operation.rotate/3","type":"function"},{"doc":"Same as rotate/3 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#rotate!/3","title":"Vix.Vips.Operation.rotate!/3","type":"function"},{"doc":"Perform a round function on an image Arguments in - Input image round - rounding operation to perform","ref":"Vix.Vips.Operation.html#round/3","title":"Vix.Vips.Operation.round/3","type":"function"},{"doc":"Same as round/3 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#round!/3","title":"Vix.Vips.Operation.round!/3","type":"function"},{"doc":"Scale an image to uchar Arguments in - Input image Optional log - Log scale. Default: false exp - Exponent for log scale. Default: 0.25","ref":"Vix.Vips.Operation.html#scale/2","title":"Vix.Vips.Operation.scale/2","type":"function"},{"doc":"Same as scale/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#scale!/2","title":"Vix.Vips.Operation.scale!/2","type":"function"},{"doc":"Convert scrgb to bw Arguments in - Input image Optional depth - Output device space depth in bits. Default: 8","ref":"Vix.Vips.Operation.html#scrgb2bw/2","title":"Vix.Vips.Operation.scrgb2bw/2","type":"function"},{"doc":"Same as scrgb2bw/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#scrgb2bw!/2","title":"Vix.Vips.Operation.scrgb2bw!/2","type":"function"},{"doc":"Convert an scrgb image to srgb Arguments in - Input image Optional depth - Output device space depth in bits. Default: 8","ref":"Vix.Vips.Operation.html#scrgb2srgb/2","title":"Vix.Vips.Operation.scrgb2srgb/2","type":"function"},{"doc":"Same as scrgb2srgb/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#scrgb2srgb!/2","title":"Vix.Vips.Operation.scrgb2srgb!/2","type":"function"},{"doc":"Transform scrgb to xyz Arguments in - Input image","ref":"Vix.Vips.Operation.html#scrgb2xyz/2","title":"Vix.Vips.Operation.scrgb2xyz/2","type":"function"},{"doc":"Same as scrgb2xyz/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#scrgb2xyz!/2","title":"Vix.Vips.Operation.scrgb2xyz!/2","type":"function"},{"doc":"Check sequential access Arguments in - Input image Optional access - Expected access pattern. Default: :VIPS_ACCESS_SEQUENTIAL tile-height - Tile height in pixels. Default: 1 trace - trace pixel requests. Default: true","ref":"Vix.Vips.Operation.html#sequential/2","title":"Vix.Vips.Operation.sequential/2","type":"function"},{"doc":"Same as sequential/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#sequential!/2","title":"Vix.Vips.Operation.sequential!/2","type":"function"},{"doc":"Unsharp masking for print Arguments in - Input image Optional m2 - Slope for jaggy areas. Default: 3.0 m1 - Slope for flat areas. Default: 0.0 y3 - Maximum darkening. Default: 20.0 y2 - Maximum brightening. Default: 10.0 x1 - Flat/jaggy threshold. Default: 2.0 sigma - Sigma of Gaussian. Default: 0.5 radius - radius of Gaussian. Default: 1","ref":"Vix.Vips.Operation.html#sharpen/2","title":"Vix.Vips.Operation.sharpen/2","type":"function"},{"doc":"Same as sharpen/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#sharpen!/2","title":"Vix.Vips.Operation.sharpen!/2","type":"function"},{"doc":"Shrink an image Arguments in - Input image argument hshrink - Horizontal shrink factor vshrink - Vertical shrink factor","ref":"Vix.Vips.Operation.html#shrink/4","title":"Vix.Vips.Operation.shrink/4","type":"function"},{"doc":"Same as shrink/4 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#shrink!/4","title":"Vix.Vips.Operation.shrink!/4","type":"function"},{"doc":"Shrink an image horizontally Arguments in - Input image argument hshrink - Horizontal shrink factor","ref":"Vix.Vips.Operation.html#shrinkh/3","title":"Vix.Vips.Operation.shrinkh/3","type":"function"},{"doc":"Same as shrinkh/3 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#shrinkh!/3","title":"Vix.Vips.Operation.shrinkh!/3","type":"function"},{"doc":"Shrink an image vertically Arguments in - Input image argument vshrink - Vertical shrink factor","ref":"Vix.Vips.Operation.html#shrinkv/3","title":"Vix.Vips.Operation.shrinkv/3","type":"function"},{"doc":"Same as shrinkv/3 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#shrinkv!/3","title":"Vix.Vips.Operation.shrinkv!/3","type":"function"},{"doc":"Unit vector of pixel Arguments in - Input image","ref":"Vix.Vips.Operation.html#sign/2","title":"Vix.Vips.Operation.sign/2","type":"function"},{"doc":"Same as sign/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#sign!/2","title":"Vix.Vips.Operation.sign!/2","type":"function"},{"doc":"Similarity transform of an image Arguments in - Input image argument Optional idy - Vertical input displacement. Default: 0.0 idx - Horizontal input displacement. Default: 0.0 ody - Vertical output displacement. Default: 0.0 odx - Horizontal output displacement. Default: 0.0 background - Background value. angle - Rotate anticlockwise by this many degrees. Default: 0.0 scale - Scale by this factor. Default: 1.0","ref":"Vix.Vips.Operation.html#similarity/2","title":"Vix.Vips.Operation.similarity/2","type":"function"},{"doc":"Same as similarity/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#similarity!/2","title":"Vix.Vips.Operation.similarity!/2","type":"function"},{"doc":"Make a 2d sine wave Arguments width - Image width in pixels height - Image height in pixels Optional vfreq - Vertical spatial frequency. Default: 0.5 hfreq - Horizontal spatial frequency. Default: 0.5 uchar - Output an unsigned char image. Default: false","ref":"Vix.Vips.Operation.html#sines/3","title":"Vix.Vips.Operation.sines/3","type":"function"},{"doc":"Same as sines/3 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#sines!/3","title":"Vix.Vips.Operation.sines!/3","type":"function"},{"doc":"Extract an area from an image Arguments input - Input image width - Width of extract area height - Height of extract area Optional interesting - How to measure interestingness. Default: :VIPS_INTERESTING_ATTENTION","ref":"Vix.Vips.Operation.html#smartcrop/4","title":"Vix.Vips.Operation.smartcrop/4","type":"function"},{"doc":"Same as smartcrop/4 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#smartcrop!/4","title":"Vix.Vips.Operation.smartcrop!/4","type":"function"},{"doc":"Sobel edge detector Arguments in - Input image","ref":"Vix.Vips.Operation.html#sobel/2","title":"Vix.Vips.Operation.sobel/2","type":"function"},{"doc":"Same as sobel/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#sobel!/2","title":"Vix.Vips.Operation.sobel!/2","type":"function"},{"doc":"Spatial correlation Arguments in - Input image argument ref - Input reference image","ref":"Vix.Vips.Operation.html#spcor/3","title":"Vix.Vips.Operation.spcor/3","type":"function"},{"doc":"Same as spcor/3 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#spcor!/3","title":"Vix.Vips.Operation.spcor!/3","type":"function"},{"doc":"Make displayable power spectrum Arguments in - Input image","ref":"Vix.Vips.Operation.html#spectrum/2","title":"Vix.Vips.Operation.spectrum/2","type":"function"},{"doc":"Same as spectrum/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#spectrum!/2","title":"Vix.Vips.Operation.spectrum!/2","type":"function"},{"doc":"Transform srgb to hsv Arguments in - Input image","ref":"Vix.Vips.Operation.html#srgb2hsv/2","title":"Vix.Vips.Operation.srgb2hsv/2","type":"function"},{"doc":"Same as srgb2hsv/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#srgb2hsv!/2","title":"Vix.Vips.Operation.srgb2hsv!/2","type":"function"},{"doc":"Convert an srgb image to scrgb Arguments in - Input image","ref":"Vix.Vips.Operation.html#srgb2scrgb/2","title":"Vix.Vips.Operation.srgb2scrgb/2","type":"function"},{"doc":"Same as srgb2scrgb/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#srgb2scrgb!/2","title":"Vix.Vips.Operation.srgb2scrgb!/2","type":"function"},{"doc":"Find many image stats Arguments in - Input image","ref":"Vix.Vips.Operation.html#stats/2","title":"Vix.Vips.Operation.stats/2","type":"function"},{"doc":"Same as stats/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#stats!/2","title":"Vix.Vips.Operation.stats!/2","type":"function"},{"doc":"Statistical difference Arguments in - Input image width - Window width in pixels height - Window height in pixels Optional a - Weight of new mean. Default: 0.5 m0 - New mean. Default: 128.0 b - Weight of new deviation. Default: 0.5 s0 - New deviation. Default: 50.0","ref":"Vix.Vips.Operation.html#stdif/4","title":"Vix.Vips.Operation.stdif/4","type":"function"},{"doc":"Same as stdif/4 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#stdif!/4","title":"Vix.Vips.Operation.stdif!/4","type":"function"},{"doc":"Subsample an image Arguments input - Input image xfac - Horizontal subsample factor yfac - Vertical subsample factor Optional point - Point sample. Default: false","ref":"Vix.Vips.Operation.html#subsample/4","title":"Vix.Vips.Operation.subsample/4","type":"function"},{"doc":"Same as subsample/4 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#subsample!/4","title":"Vix.Vips.Operation.subsample!/4","type":"function"},{"doc":"Subtract two images Arguments left - Left-hand image argument right - Right-hand image argument","ref":"Vix.Vips.Operation.html#subtract/3","title":"Vix.Vips.Operation.subtract/3","type":"function"},{"doc":"Same as subtract/3 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#subtract!/3","title":"Vix.Vips.Operation.subtract!/3","type":"function"},{"doc":"Sum an array of images Arguments in - Array of input images","ref":"Vix.Vips.Operation.html#sum/2","title":"Vix.Vips.Operation.sum/2","type":"function"},{"doc":"Same as sum/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#sum!/2","title":"Vix.Vips.Operation.sum!/2","type":"function"},{"doc":"Find the index of the first non-zero pixel in tests Arguments tests - Table of images to test","ref":"Vix.Vips.Operation.html#switch/2","title":"Vix.Vips.Operation.switch/2","type":"function"},{"doc":"Same as switch/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#switch!/2","title":"Vix.Vips.Operation.switch!/2","type":"function"},{"doc":"Run an external command Arguments cmd-format - Command to run Optional in-format - Format for input filename. Default: nil out-format - Format for output filename. Default: nil in - Array of input images. Returns Ordered values in the returned tuple Additional Last value of the the output tuple is a keyword list of additional optional output values log - Command log. ( String.t() ) out - Output image. ( Vix.Vips.Image.t() )","ref":"Vix.Vips.Operation.html#system/2","title":"Vix.Vips.Operation.system/2","type":"function"},{"doc":"Same as system/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#system!/2","title":"Vix.Vips.Operation.system!/2","type":"function"},{"doc":"Make a text image Arguments text - Text to render Optional fontfile - Load this font file. Default: nil spacing - Line spacing. Default: 0 justify - Justify lines. Default: false dpi - DPI to render at. Default: 72 rgba - Enable RGBA output. Default: false align - Align on the low, centre or high edge. Default: :VIPS_ALIGN_LOW height - Maximum image height in pixels. Default: 0 width - Maximum image width in pixels. Default: 0 font - Font to render with. Default: nil Returns Ordered values in the returned tuple out - Output image. ( Vix.Vips.Image.t() ) Additional Last value of the the output tuple is a keyword list of additional optional output values autofit-dpi - DPI selected by autofit. ( integer() )","ref":"Vix.Vips.Operation.html#text/2","title":"Vix.Vips.Operation.text/2","type":"function"},{"doc":"Same as text/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#text!/2","title":"Vix.Vips.Operation.text!/2","type":"function"},{"doc":"Generate thumbnail from file Arguments filename - Filename to read from width - Size to this width Optional auto-rotate - Use orientation tags to rotate image upright. Default: true intent - Rendering intent. Default: :VIPS_INTENT_RELATIVE export-profile - Fallback export profile. Default: nil import-profile - Fallback import profile. Default: nil linear - Reduce in linear light. Default: false crop - Reduce to fill target rectangle, then crop. Default: :VIPS_INTERESTING_NONE no-rotate - Don't use orientation tags to rotate image upright. Default: false size - Only upsize, only downsize, or both. Default: :VIPS_SIZE_BOTH height - Size to this height. Default: 1","ref":"Vix.Vips.Operation.html#thumbnail/3","title":"Vix.Vips.Operation.thumbnail/3","type":"function"},{"doc":"Same as thumbnail/3 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#thumbnail!/3","title":"Vix.Vips.Operation.thumbnail!/3","type":"function"},{"doc":"Generate thumbnail from image Arguments in - Input image argument width - Size to this width Optional auto-rotate - Use orientation tags to rotate image upright. Default: true intent - Rendering intent. Default: :VIPS_INTENT_RELATIVE export-profile - Fallback export profile. Default: nil import-profile - Fallback import profile. Default: nil linear - Reduce in linear light. Default: false crop - Reduce to fill target rectangle, then crop. Default: :VIPS_INTERESTING_NONE no-rotate - Don't use orientation tags to rotate image upright. Default: false size - Only upsize, only downsize, or both. Default: :VIPS_SIZE_BOTH height - Size to this height. Default: 1","ref":"Vix.Vips.Operation.html#thumbnail_image/3","title":"Vix.Vips.Operation.thumbnail_image/3","type":"function"},{"doc":"Same as thumbnail_image/3 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#thumbnail_image!/3","title":"Vix.Vips.Operation.thumbnail_image!/3","type":"function"},{"doc":"Cache an image as a set of tiles Arguments in - Input image Optional persistent - Keep cache between evaluations. Default: false threaded - Allow threaded access. Default: false access - Expected access pattern. Default: :VIPS_ACCESS_RANDOM max-tiles - Maximum number of tiles to cache. Default: 1000 tile-height - Tile height in pixels. Default: 128 tile-width - Tile width in pixels. Default: 128","ref":"Vix.Vips.Operation.html#tilecache/2","title":"Vix.Vips.Operation.tilecache/2","type":"function"},{"doc":"Same as tilecache/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#tilecache!/2","title":"Vix.Vips.Operation.tilecache!/2","type":"function"},{"doc":"Build a look-up table Arguments Optional H - Adjust highlights by this much. Default: 0.0 M - Adjust mid-tones by this much. Default: 0.0 S - Adjust shadows by this much. Default: 0.0 Ph - Position of highlights. Default: 0.8 Pm - Position of mid-tones. Default: 0.5 Ps - Position of shadow. Default: 0.2 Lw - Highest value in output. Default: 100.0 Lb - Lowest value in output. Default: 0.0 out-max - Maximum value in output LUT. Default: 32767 in-max - Size of LUT to build. Default: 32767","ref":"Vix.Vips.Operation.html#tonelut/1","title":"Vix.Vips.Operation.tonelut/1","type":"function"},{"doc":"Same as tonelut/1 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#tonelut!/1","title":"Vix.Vips.Operation.tonelut!/1","type":"function"},{"doc":"Transpose3d an image Arguments in - Input image Optional page-height - Height of each input page. Default: 0","ref":"Vix.Vips.Operation.html#transpose3d/2","title":"Vix.Vips.Operation.transpose3d/2","type":"function"},{"doc":"Same as transpose3d/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#transpose3d!/2","title":"Vix.Vips.Operation.transpose3d!/2","type":"function"},{"doc":"Unpremultiply image alpha Arguments in - Input image Optional alpha-band - Unpremultiply with this alpha. Default: 3 max-alpha - Maximum value of alpha channel. Default: 255.0","ref":"Vix.Vips.Operation.html#unpremultiply/2","title":"Vix.Vips.Operation.unpremultiply/2","type":"function"},{"doc":"Same as unpremultiply/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#unpremultiply!/2","title":"Vix.Vips.Operation.unpremultiply!/2","type":"function"},{"doc":"Make a worley noise image Arguments width - Image width in pixels height - Image height in pixels Optional seed - Random number seed. Default: 0 cell-size - Size of Worley cells. Default: 256","ref":"Vix.Vips.Operation.html#worley/3","title":"Vix.Vips.Operation.worley/3","type":"function"},{"doc":"Same as worley/3 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#worley!/3","title":"Vix.Vips.Operation.worley!/3","type":"function"},{"doc":"Wrap image origin Arguments in - Input image Optional y - Top edge of input in output. Default: 0 x - Left edge of input in output. Default: 0","ref":"Vix.Vips.Operation.html#wrap/2","title":"Vix.Vips.Operation.wrap/2","type":"function"},{"doc":"Same as wrap/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#wrap!/2","title":"Vix.Vips.Operation.wrap!/2","type":"function"},{"doc":"Make an image where pixel values are coordinates Arguments width - Image width in pixels height - Image height in pixels Optional esize - Size of fifth dimension. Default: 1 dsize - Size of fourth dimension. Default: 1 csize - Size of third dimension. Default: 1","ref":"Vix.Vips.Operation.html#xyz/3","title":"Vix.Vips.Operation.xyz/3","type":"function"},{"doc":"Same as xyz/3 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#xyz!/3","title":"Vix.Vips.Operation.xyz!/3","type":"function"},{"doc":"Transform xyz to cmyk Arguments in - Input image","ref":"Vix.Vips.Operation.html#xyz2cmyk/2","title":"Vix.Vips.Operation.xyz2cmyk/2","type":"function"},{"doc":"Same as xyz2cmyk/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#xyz2cmyk!/2","title":"Vix.Vips.Operation.xyz2cmyk!/2","type":"function"},{"doc":"Transform xyz to lab Arguments in - Input image Optional temp - Colour temperature.","ref":"Vix.Vips.Operation.html#xyz2lab/2","title":"Vix.Vips.Operation.xyz2lab/2","type":"function"},{"doc":"Same as xyz2lab/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#xyz2lab!/2","title":"Vix.Vips.Operation.xyz2lab!/2","type":"function"},{"doc":"Transform xyz to scrgb Arguments in - Input image","ref":"Vix.Vips.Operation.html#xyz2scrgb/2","title":"Vix.Vips.Operation.xyz2scrgb/2","type":"function"},{"doc":"Same as xyz2scrgb/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#xyz2scrgb!/2","title":"Vix.Vips.Operation.xyz2scrgb!/2","type":"function"},{"doc":"Transform xyz to yxy Arguments in - Input image","ref":"Vix.Vips.Operation.html#xyz2yxy/2","title":"Vix.Vips.Operation.xyz2yxy/2","type":"function"},{"doc":"Same as xyz2yxy/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#xyz2yxy!/2","title":"Vix.Vips.Operation.xyz2yxy!/2","type":"function"},{"doc":"Transform yxy to xyz Arguments in - Input image","ref":"Vix.Vips.Operation.html#yxy2xyz/2","title":"Vix.Vips.Operation.yxy2xyz/2","type":"function"},{"doc":"Same as yxy2xyz/2 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#yxy2xyz!/2","title":"Vix.Vips.Operation.yxy2xyz!/2","type":"function"},{"doc":"Make a zone plate Arguments width - Image width in pixels height - Image height in pixels Optional uchar - Output an unsigned char image. Default: false","ref":"Vix.Vips.Operation.html#zone/3","title":"Vix.Vips.Operation.zone/3","type":"function"},{"doc":"Same as zone/3 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#zone!/3","title":"Vix.Vips.Operation.zone!/3","type":"function"},{"doc":"Zoom an image Arguments input - Input image xfac - Horizontal zoom factor yfac - Vertical zoom factor","ref":"Vix.Vips.Operation.html#zoom/4","title":"Vix.Vips.Operation.zoom/4","type":"function"},{"doc":"Same as zoom/4 , except it returns only the value (not a tuple) and raises on error.","ref":"Vix.Vips.Operation.html#zoom!/4","title":"Vix.Vips.Operation.zoom!/4","type":"function"},{"doc":"","ref":"Vix.Vips.Operation.html#t:gsf_output_csv_quoting_mode/0","title":"Vix.Vips.Operation.gsf_output_csv_quoting_mode/0","type":"type"},{"doc":"","ref":"Vix.Vips.Operation.html#t:vips_access/0","title":"Vix.Vips.Operation.vips_access/0","type":"type"},{"doc":"","ref":"Vix.Vips.Operation.html#t:vips_align/0","title":"Vix.Vips.Operation.vips_align/0","type":"type"},{"doc":"","ref":"Vix.Vips.Operation.html#t:vips_angle/0","title":"Vix.Vips.Operation.vips_angle/0","type":"type"},{"doc":"","ref":"Vix.Vips.Operation.html#t:vips_angle45/0","title":"Vix.Vips.Operation.vips_angle45/0","type":"type"},{"doc":"","ref":"Vix.Vips.Operation.html#t:vips_band_format/0","title":"Vix.Vips.Operation.vips_band_format/0","type":"type"},{"doc":"","ref":"Vix.Vips.Operation.html#t:vips_blend_mode/0","title":"Vix.Vips.Operation.vips_blend_mode/0","type":"type"},{"doc":"","ref":"Vix.Vips.Operation.html#t:vips_coding/0","title":"Vix.Vips.Operation.vips_coding/0","type":"type"},{"doc":"","ref":"Vix.Vips.Operation.html#t:vips_combine/0","title":"Vix.Vips.Operation.vips_combine/0","type":"type"},{"doc":"","ref":"Vix.Vips.Operation.html#t:vips_combine_mode/0","title":"Vix.Vips.Operation.vips_combine_mode/0","type":"type"},{"doc":"","ref":"Vix.Vips.Operation.html#t:vips_compass_direction/0","title":"Vix.Vips.Operation.vips_compass_direction/0","type":"type"},{"doc":"","ref":"Vix.Vips.Operation.html#t:vips_demand_style/0","title":"Vix.Vips.Operation.vips_demand_style/0","type":"type"},{"doc":"","ref":"Vix.Vips.Operation.html#t:vips_direction/0","title":"Vix.Vips.Operation.vips_direction/0","type":"type"},{"doc":"","ref":"Vix.Vips.Operation.html#t:vips_extend/0","title":"Vix.Vips.Operation.vips_extend/0","type":"type"},{"doc":"","ref":"Vix.Vips.Operation.html#t:vips_foreign_dz_container/0","title":"Vix.Vips.Operation.vips_foreign_dz_container/0","type":"type"},{"doc":"","ref":"Vix.Vips.Operation.html#t:vips_foreign_dz_depth/0","title":"Vix.Vips.Operation.vips_foreign_dz_depth/0","type":"type"},{"doc":"","ref":"Vix.Vips.Operation.html#t:vips_foreign_dz_layout/0","title":"Vix.Vips.Operation.vips_foreign_dz_layout/0","type":"type"},{"doc":"","ref":"Vix.Vips.Operation.html#t:vips_foreign_flags/0","title":"Vix.Vips.Operation.vips_foreign_flags/0","type":"type"},{"doc":"","ref":"Vix.Vips.Operation.html#t:vips_foreign_heif_compression/0","title":"Vix.Vips.Operation.vips_foreign_heif_compression/0","type":"type"},{"doc":"","ref":"Vix.Vips.Operation.html#t:vips_foreign_png_filter/0","title":"Vix.Vips.Operation.vips_foreign_png_filter/0","type":"type"},{"doc":"","ref":"Vix.Vips.Operation.html#t:vips_foreign_subsample/0","title":"Vix.Vips.Operation.vips_foreign_subsample/0","type":"type"},{"doc":"","ref":"Vix.Vips.Operation.html#t:vips_foreign_tiff_compression/0","title":"Vix.Vips.Operation.vips_foreign_tiff_compression/0","type":"type"},{"doc":"","ref":"Vix.Vips.Operation.html#t:vips_foreign_tiff_predictor/0","title":"Vix.Vips.Operation.vips_foreign_tiff_predictor/0","type":"type"},{"doc":"","ref":"Vix.Vips.Operation.html#t:vips_foreign_tiff_resunit/0","title":"Vix.Vips.Operation.vips_foreign_tiff_resunit/0","type":"type"},{"doc":"","ref":"Vix.Vips.Operation.html#t:vips_foreign_webp_preset/0","title":"Vix.Vips.Operation.vips_foreign_webp_preset/0","type":"type"},{"doc":"","ref":"Vix.Vips.Operation.html#t:vips_intent/0","title":"Vix.Vips.Operation.vips_intent/0","type":"type"},{"doc":"","ref":"Vix.Vips.Operation.html#t:vips_interesting/0","title":"Vix.Vips.Operation.vips_interesting/0","type":"type"},{"doc":"","ref":"Vix.Vips.Operation.html#t:vips_interpretation/0","title":"Vix.Vips.Operation.vips_interpretation/0","type":"type"},{"doc":"","ref":"Vix.Vips.Operation.html#t:vips_kernel/0","title":"Vix.Vips.Operation.vips_kernel/0","type":"type"},{"doc":"","ref":"Vix.Vips.Operation.html#t:vips_operation_boolean/0","title":"Vix.Vips.Operation.vips_operation_boolean/0","type":"type"},{"doc":"","ref":"Vix.Vips.Operation.html#t:vips_operation_complex/0","title":"Vix.Vips.Operation.vips_operation_complex/0","type":"type"},{"doc":"","ref":"Vix.Vips.Operation.html#t:vips_operation_complex2/0","title":"Vix.Vips.Operation.vips_operation_complex2/0","type":"type"},{"doc":"","ref":"Vix.Vips.Operation.html#t:vips_operation_complexget/0","title":"Vix.Vips.Operation.vips_operation_complexget/0","type":"type"},{"doc":"","ref":"Vix.Vips.Operation.html#t:vips_operation_math/0","title":"Vix.Vips.Operation.vips_operation_math/0","type":"type"},{"doc":"","ref":"Vix.Vips.Operation.html#t:vips_operation_math2/0","title":"Vix.Vips.Operation.vips_operation_math2/0","type":"type"},{"doc":"","ref":"Vix.Vips.Operation.html#t:vips_operation_morphology/0","title":"Vix.Vips.Operation.vips_operation_morphology/0","type":"type"},{"doc":"","ref":"Vix.Vips.Operation.html#t:vips_operation_relational/0","title":"Vix.Vips.Operation.vips_operation_relational/0","type":"type"},{"doc":"","ref":"Vix.Vips.Operation.html#t:vips_operation_round/0","title":"Vix.Vips.Operation.vips_operation_round/0","type":"type"},{"doc":"","ref":"Vix.Vips.Operation.html#t:vips_pcs/0","title":"Vix.Vips.Operation.vips_pcs/0","type":"type"},{"doc":"","ref":"Vix.Vips.Operation.html#t:vips_precision/0","title":"Vix.Vips.Operation.vips_precision/0","type":"type"},{"doc":"","ref":"Vix.Vips.Operation.html#t:vips_region_shrink/0","title":"Vix.Vips.Operation.vips_region_shrink/0","type":"type"},{"doc":"","ref":"Vix.Vips.Operation.html#t:vips_size/0","title":"Vix.Vips.Operation.vips_size/0","type":"type"},{"doc":"","ref":"Vix.Vips.Operation.Error.html","title":"Vix.Vips.Operation.Error","type":"exception"},{"doc":"Vix Vix is Elixir extension for vips image processing library. Why Vix Vix is a NIF based bindings library for libvips. Vix does not spawn OS processes for the operations like other libraries. And it can make full use of libvips optimizations such as joining of operations, cache etc. Image Operation binding are generated using vips introspection, so documentation and bindings always matches the vips version installed. Check vips operation documentation for the list of available operations and spec. What is Vips (from vips documentation) libvips is a demand-driven, horizontally threaded image processing library. Compared to similar libraries, libvips runs quickly and uses little memory . See libvips documentation for more details.","ref":"readme.html","title":"Vix","type":"extras"},{"doc":"Easiest way to get started with Vix, or to explore the operations is to use load Introduction Notebook using Livebook . Available Notebooks: Introduction Picture Language Example # print vips version IO . puts ( &quot;Version: &quot; &lt;&gt; Vix.Vips . version ( ) ) # contains image read/write functions alias Vix.Vips.Image # reading image from a file. Note that image is not actually loaded to the memory at this point. # img is `%Image{}` struct. { :ok , img } = Image . new_from_file ( &quot;~/Downloads/kitty.png&quot; ) # writing `Image` to a file. # Image type selected based on the image path extension. See documentation for more options :ok = Image . write_to_file ( img , &quot;kitty.jpg[Q=90]&quot; ) # let&#39;s print image dimensions IO . puts ( &quot;Width: \#{ Image . width ( img ) } &quot; ) IO . puts ( &quot;Height: \#{ Image . height ( img ) } &quot; ) # Operations # contains image processing operations alias Vix.Vips.Operation # getting a rectangular region from the image (crop) { :ok , extract_img } = Operation . extract_area ( img , 100 , 50 , 200 , 200 ) # create image thumbnail. # this function accepts many optional parameters, see: https://libvips.github.io/libvips/API/current/Using-vipsthumbnail.md.html # also see `Operation.thumbnail/3` which accepts image path { :ok , thumb } = Operation . thumbnail_image ( img , 100 ) # resize image to 400x600. `resize` function accepts scaling factor. # Skip `vscale` if you want to preserve aspect ratio hscale = 400 / Image . width ( img ) vscale = 600 / Image . height ( img ) { :ok , resized_img } = Operation . resize ( img , hscale , vscale : vscale ) # flip image { :ok , flipped_img } = Operation . flip ( img , :VIPS_DIRECTION_HORIZONTAL ) # Gaussian blur { :ok , blurred_img } = Operation . gaussblur ( img , 5 ) # convert image to a grayscale image { :ok , bw_img } = Operation . colourspace ( img , :VIPS_INTERPRETATION_B_W ) # adding gray border { :ok , extended_img } = Operation . embed ( img , 10 , 10 , Image . width ( img ) + 20 , Image . height ( img ) + 20 , extend : :VIPS_EXTEND_BACKGROUND , background : [ 128 ] ) # rotate image 90 degree clockwise { :ok , rotated_img } = Operation . rot ( img , :VIPS_ANGLE_D90 ) # join two images horizontally { :ok , main_img } = Image . new_from_file ( &quot;~/Downloads/kitten.svg&quot; ) { :ok , joined_img } = Operation . join ( img , main_img , :VIPS_DIRECTION_HORIZONTAL , expand : true ) # render text as image # see https://libvips.github.io/libvips/API/current/libvips-create.html#vips-text for more details { :ok , { text , _ } } = Operation . text ( ~s(&lt;b&gt;Vix&lt;/b&gt; is &lt;span foreground=&quot;red&quot;&gt;awesome!&lt;/span&gt;) , dpi : 300 , rgba : true ) # add text to an image { :ok , img_with_text } = Operation . composite2 ( img , text , :VIPS_BLEND_MODE_OVER , x : 50 , y : 20 ) The libvips reference manual has more detailed documentation about the operations. Warning This library is experimental. Interface might change significantly in the future versions. The code is not well tested, so you might experience crashes. Requirements libvips pkg-config c compiler","ref":"readme.html#introduction","title":"Vix - Introduction","type":"extras"},{"doc":"def deps do [ { :vix , &quot;~&gt; x.x.x&quot; } ] end TODO [ ] support mutable operations such as draw* [ ] support all remaining vips types","ref":"readme.html#installation","title":"Vix - Installation","type":"extras"}]